import { Model } from 'sequelize';
export interface IIdenfyLogs {
    id?: string;
    userId?: string;
    verificaitionService: string;
    verificationStatus: string;
    authToken: string;
    scanRef: string;
    clientId: string;
    succeed: boolean;
    verificationFailed: boolean;
}

module.exports = (sequelize: any, DataTypes: any) => {
    class IdenfyLogs extends Model<IIdenfyLogs> implements IIdenfyLogs {
        id?: string;
        userId?: string;
        verificaitionService: string;
        verificationStatus: string;
        authToken: string;
        scanRef: string;
        clientId: string;
        succeed: boolean;
        verificationFailed: boolean;

        /**
         * Helper method for defining associations.
         * This method is not a part of Sequelize lifecycle.
         * The `models/index` file will call this method automatically. 
         */
        static associate(models: any) {
            IdenfyLogs.belongsTo(models.User, {
                targetKey: 'id',
                foreignKey: {
                    allowNull: false,
                    name: 'userId',
                    field: 'userId'
                }
            });
        }
    }

    IdenfyLogs.init({
        id: {
            type: DataTypes.INTEGER,
            allowNull: false,
            primaryKey: true,
            autoIncrement: true
        },
        verificaitionService: {
            type: DataTypes.STRING,
            allowNull: false
        },
        verificationStatus: {
            type: DataTypes.STRING,
            allowNull: false
        },
        authToken: {
            type: DataTypes.STRING,
            allowNull: false
        },
        scanRef: {
            type: DataTypes.STRING,
            allowNull: false
        },
        clientId: {
            type: DataTypes.STRING,
            allowNull: false
        },
        succeed: {
            type: DataTypes.BOOLEAN,
            defaultValue: false,
            allowNull: false
        },
        verificationFailed: {
            type: DataTypes.BOOLEAN,
            defaultValue: false,
            allowNull: false
        }
    }, {
        sequelize,
        createdAt: false,
        updatedAt: false,
        modelName: 'IdenfyLogs'
    });
    return IdenfyLogs;
};