'use strict';
import { Model } from "sequelize";
export interface IAgeRange {
    id?: number;
    minAge: number;
    maxAge: number;
    isEnabled: number;
}
module.exports = (sequelize: any, DataTypes: any) => {
    class AgeRanges extends Model<IAgeRange> implements IAgeRange {
        id?: number;
        minAge: number;
        maxAge: number;
        isEnabled: number;
        /**
         * Helper method for defining associations.
         * This method is not a part of Sequelize lifecycle.
         * The `models/index` file will call this method automatically.
         */
        static associate(models: any) {
            // define association here
            AgeRanges.belongsTo(models.User, {
                targetKey: 'id',
                foreignKey: {
                    allowNull: false,
                    name: 'userId',
                    field: 'userId'
                }
            });
        }
    }
    AgeRanges.init({
        id: {
            type: DataTypes.INTEGER,
            primaryKey: true,
            autoIncrement: true,
        },
        minAge: {
            type: DataTypes.INTEGER,
            allowNull: false,
            defaultValue: 0
        },
        maxAge: {
            type: DataTypes.INTEGER,
            allowNull: false,
            defaultValue: 0
        },
        isEnabled: {
            type: DataTypes.INTEGER,
            defaultValue: false,
            allowNull: false
        }
    }, {
        sequelize,
        createdAt: false,
        updatedAt: false,
        modelName: 'AgeRanges'
    });
    return AgeRanges;
};
