'use strict';
import { Model } from "sequelize";
export interface IBlockUser {
  id?: number;
  blockByUserId?: number;
  blockForUserId?: number;
}
module.exports = (sequelize: any, DataTypes: any) => {
  class BlockUser extends Model<IBlockUser> implements IBlockUser {
    id?: number;
    blockByUserId?: number;
    blockForUserId?: number;
    /**
     * Helper method for defining associations.
     * This method is not a part of Sequelize lifecycle.
     * The `models/index` file will call this method automatically.
     */
    static associate(models: any) {
      // define association here
      BlockUser.belongsTo(models.User, {
        targetKey: 'id',
        foreignKey: {
          allowNull: false,
          name: 'blockByUserId',
          field: 'blockByUserId'
        }
      });
      BlockUser.belongsTo(models.User, {
        targetKey: 'id',
        foreignKey: {
          allowNull: false,
          name: 'blockForUserId',
          field: 'blockForUserId'
        }
      });

    }
  }
  BlockUser.init({
    id: {
      type: DataTypes.INTEGER,
      primaryKey: true,
      autoIncrement: true
    }
  }, {
    sequelize,
    createdAt: false,
    updatedAt: false,
    modelName: 'BlockUser'
  });
  return BlockUser;
};