'use strict';
import { Model } from 'sequelize';
export interface IChoice {
    id?: number;
    name: string;
}
module.exports = (sequelize: any, DataTypes: any) => {
    class Choice extends Model<IChoice> implements IChoice {
        id!: number;
        name!: string;
        /**
         * Helper method for defining associations.
         * This method is not a part of Sequelize lifecycle.
         * The `models/index` file will call this method automatically.
         */
        static associate(models: any) {
            // define association here
            Choice.belongsTo(models.QuestionCategory, {
                targetKey: 'id',
                foreignKey: {
                    allowNull: false,
                    name: 'quesCategoryId',
                    field: 'quesCategoryId'
                }
            });
            Choice.hasMany(models.UserCharacteristics, {
                foreignKey: 'answer'
            });
            Choice.hasMany(models.UserPreference, {
                foreignKey: 'answer'
            });
        }
    }
    Choice.init({
        name: {
            type: DataTypes.STRING,
            allowNull: false
        }
    }, {
        sequelize,
        modelName: 'Choice',
        createdAt: false,
        updatedAt: false
    });
    return Choice;
};