'use strict';
import { Model } from 'sequelize';

export interface IComment {
  id?: number;
  text: string;
}

module.exports = (sequelize: any, DataTypes: any) => {
  class Comment extends Model<IComment> implements IComment {
    id?: number;
    text!: string;
    /**
     * Helper method for defining associations.
     * This method is not a part of Sequelize lifecycle.
     * The `models/index` file will call this method automatically.
     */
    static associate(models: any) {
      Comment.belongsTo(models.Post);
      Comment.belongsTo(models.User);
      Comment.belongsTo(models.Comment, {
        as: 'parent'
      });
      Comment.hasMany(models.Reaction);
    }
  }
  Comment.init({
    id: {
      type: DataTypes.INTEGER,
      allowNull: false,
      primaryKey: true,
      autoIncrement: true
    },
    text: {
      type: DataTypes.STRING,
      allowNull: false
    }
  }, {
    sequelize,
    modelName: 'Comment'
  });
  return Comment;
};