'use strict';
import { Model } from "sequelize";
export interface ICountryCodes {
    id?: number;
    countryPhoneCode: string;
    countryShortCode: string;
    countryName: string;
    status: number;
}
module.exports = (sequelize: any, DataTypes: any) => {
    class CountryCodes extends Model<ICountryCodes> implements ICountryCodes {
        id?: number;
        countryPhoneCode: string;
        countryShortCode: string;
        countryName: string;
        status: number;
        /**
         * Helper method for defining associations.
         * This method is not a part of Sequelize lifecycle.
         * The `models/index` file will call this method automatically.
         */
        static associate(models: any) {
            // define association here
        }
    }
    CountryCodes.init({
        id: {
            type: DataTypes.INTEGER,
            primaryKey: true,
            autoIncrement: true,
        },
        countryPhoneCode: {
            type: DataTypes.STRING,
            allowNull: false
        },
        countryShortCode: {
            type: DataTypes.STRING,
            allowNull: false
        },
        countryName: {
            type: DataTypes.STRING,
            allowNull: false
        },
        status: {
            type: DataTypes.INTEGER,
            defaultValue: false,
            allowNull: false
        },
    }, {
        sequelize,
        createdAt: false,
        updatedAt: false,
        modelName: 'CountryCodes'
    });
    return CountryCodes;
};
