'use strict';
import { Model } from 'sequelize';
export interface IDatePageAction {
    id?: number;
    userId?: number;
    actionUserId?: number;
    actionType: string;
    achknowledged: number;
    timestamp: number;
}
module.exports = (sequelize: any, DataTypes: any) => {
    class DatePageAction extends Model<IDatePageAction> implements IDatePageAction {
        id?: number;
        userId?: number;
        actionUserId?: number;
        actionType: string;
        achknowledged: number;
        timestamp: number;
        /**
         * Helper method for defining associations.
         * This method is not a part of Sequelize lifecycle.
         * The `models/index` file will call this method automatically.
         */
        static associate(models: any) {
            // define association here
            DatePageAction.belongsTo(models.User, {
                targetKey: 'id',
                foreignKey: {
                    allowNull: false,
                    name: 'userId',
                    field: 'userId'
                }
            });
            DatePageAction.belongsTo(models.User, {
                targetKey: 'id',
                foreignKey: {
                    allowNull: false,
                    name: 'actionUserId',
                    field: 'actionUserId'
                }
            });
        }
    }
    DatePageAction.init({
        id: {
            type: DataTypes.INTEGER,
            allowNull: false,
            primaryKey: true,
            autoIncrement: true
        },
        actionType: {
            type: DataTypes.ENUM,
            values: ["LIKE", "IGNORE"],
            allowNull: false
          },
        achknowledged: {
            type: DataTypes.INTEGER,
            allowNull: false,
            defaultValue: false
        },
        timestamp: {
            type: DataTypes.INTEGER,
            allowNull: false
        }
    }, {
        sequelize,
        modelName: 'DatePageAction',
        updatedAt: false
    });
    return DatePageAction;
};