'use strict';
import { Model } from 'sequelize';
export interface IDatingPageMedia {
    id?: number;
    userId?: number;
    mediaType: number;
    mediaTypeText: string;
    mediaUrl: string;
    isDeletable: number;
    isPrimaryImage: number;
}
module.exports = (sequelize: any, DataTypes: any) => {
    class DatingPageMedia extends Model<IDatingPageMedia> implements IDatingPageMedia {
        id?: number;
        userId?: number;
        mediaType!: number;
        mediaTypeText!: string;
        mediaUrl!: string;
        isDeletable: number;
        isPrimaryImage: number;

        /**
         * Helper method for defining associations.
         * This method is not a part of Sequelize lifecycle.
         * The `models/index` file will call this method automatically.
         */
        static associate(models: any) {
            // define association here
            DatingPageMedia.belongsTo(models.User, {
                targetKey: 'id',
                foreignKey: {
                    allowNull: false,
                    name: 'userId',
                    field: 'userId'
                }
            });
        }
    }
    DatingPageMedia.init({
        id: {
            type: DataTypes.INTEGER,
            allowNull: false,
            primaryKey: true,
            autoIncrement: true
        },
        mediaUrl: {
            type: DataTypes.STRING,
            allowNull: false,
            defaultValue: ''
        },
        mediaType: {
            type: DataTypes.INTEGER,
            allowNull: false
        },
        mediaTypeText: {
            type: DataTypes.ENUM,
            values: ["IMAGE", "VIDEO"],
            allowNull: false
        },
        isDeletable: {
            type: DataTypes.INTEGER,
            defaultValue: true,
            allowNull: false
        },
        isPrimaryImage: {
            type: DataTypes.INTEGER,
            allowNull: true,
        }

    }, {
        sequelize,
        modelName: 'DatingPageMedia',
        updatedAt: false,
        createdAt: false
    });
    return DatingPageMedia;
};
