'use strict';
import { Model } from "sequelize";
export interface IDistanceMatch {
    id?: number;
    distanceInKms: number;
    isEnabled: number;
}
module.exports = (sequelize: any, DataTypes: any) => {
    class DistanceMatch extends Model<IDistanceMatch> implements IDistanceMatch {
        id?: number;
        distanceInKms: number;
        isEnabled: number;
        /**
         * Helper method for defining associations.
         * This method is not a part of Sequelize lifecycle.
         * The `models/index` file will call this method automatically.
         */
        static associate(models: any) {
            // define association here
            DistanceMatch.belongsTo(models.User, {
                targetKey: 'id',
                foreignKey: {
                    allowNull: false,
                    name: 'userId',
                    field: 'userId'
                }
            });
        }
    }
    DistanceMatch.init({
        id: {
            type: DataTypes.INTEGER,
            primaryKey: true,
            autoIncrement: true,
        },
        distanceInKms: {
            type: DataTypes.INTEGER,
            allowNull: false,
            defaultValue: 0
        },
        isEnabled: {
            type: DataTypes.INTEGER,
            defaultValue: false,
            allowNull: false
        }
    }, {
        sequelize,
        createdAt: false,
        updatedAt: false,
        modelName: 'DistanceMatch'
    });
    return DistanceMatch;
};
