import { Model } from 'sequelize';
export interface IDocumentVerificationLogs {
    id?: string;
    userId?: string;
    verificaitionService: string;
    documentType: string;
    verificationId: string;
    facePhotoSubmited: boolean;
    frontImageSubmited: boolean;
    backImageSubmited: boolean;
    succeeded: boolean;
    verificationFailed: boolean;
}

module.exports = (sequelize: any, DataTypes: any) => {
    class DocumentVerificationLogs extends Model<IDocumentVerificationLogs> implements IDocumentVerificationLogs {
        id?: string;
        userId?: string;
        verificaitionService: string;
        documentType: string;
        verificationId: string;
        facePhotoSubmited: boolean;
        frontImageSubmited: boolean;
        backImageSubmited: boolean;
        succeeded: boolean;
        verificationFailed: boolean;

        /**
         * Helper method for defining associations.
         * This method is not a part of Sequelize lifecycle.
         * The `models/index` file will call this method automatically. 
         */
        static associate(models: any) {
            DocumentVerificationLogs.belongsTo(models.User, {
                targetKey: 'id',
                foreignKey: {
                    allowNull: false,
                    name: 'userId',
                    field: 'userId'
                }
            });
        }
    }

    DocumentVerificationLogs.init({
        id: {
            type: DataTypes.INTEGER,
            allowNull: false,
            primaryKey: true,
            autoIncrement: true
        },
        verificaitionService: {
            type: DataTypes.STRING,
            defaultValue: false,
            allowNull: false
        },
        documentType: {
            type: DataTypes.STRING,
            defaultValue: false,
            allowNull: false
        },
        verificationId: {
            type: DataTypes.STRING,
            defaultValue: false,
            allowNull: false
        },
        facePhotoSubmited: {
            type: DataTypes.BOOLEAN,
            defaultValue: false,
            allowNull: false
        },
        frontImageSubmited: {
            type: DataTypes.BOOLEAN,
            defaultValue: false,
            allowNull: false
        },
        backImageSubmited: {
            type: DataTypes.BOOLEAN,
            defaultValue: false,
            allowNull: false
        },
        succeeded: {
            type: DataTypes.BOOLEAN,
            defaultValue: false,
            allowNull: false
        },
        verificationFailed: {
            type: DataTypes.BOOLEAN,
            defaultValue: false,
            allowNull: false
        }
    }, {
        sequelize,
        createdAt: false,
        updatedAt: false,
        modelName: 'DocumentVerificationLogs'
    });
    return DocumentVerificationLogs;
};