import { Model } from 'sequelize';
export interface IEmergencyContact {
  id?: string;
  name?: string;
  email: string;
  phone: string;
}

module.exports = (sequelize: any, DataTypes: any) => {
  class EmergencyContact extends Model<IEmergencyContact> implements IEmergencyContact {
    id?: string;
    name!: string;
    email!: string;
    phone!: string;
    /**
     * Helper method for defining associations.
     * This method is not a part of Sequelize lifecycle.
     * The `models/index` file will call this method automatically. 
     */
    static associate(models: any) {
        EmergencyContact.belongsTo(models.User, {
          targetKey: 'id',
          foreignKey: {
              allowNull: false,
              name: 'userId',
              field: 'userId'
          }
      });
    }
  }

  EmergencyContact.init({
    id: {
        type: DataTypes.INTEGER,
        allowNull: false,
        primaryKey: true,
        autoIncrement: true
      },
      name: {
        type: DataTypes.STRING,
        allowNull: false
      },
      phone: {
        type: DataTypes.STRING,
        allowNull: true
      },
      email: {
        type: DataTypes.STRING,
        allowNull: true
      }
  }, {
    sequelize,
    timestamps: true,
    createdAt: false,
    updatedAt: false,
    modelName: 'EmergencyContact'
  });
  return EmergencyContact;
};