import { Model } from 'sequelize';
export interface IFollower {
  id?: string;
  followedDt?: number;//moment().unix(),// follow Date
  toUser?: number;
  fromUser?: number;
  status: number;// 1: requested, 2: accepted
}

module.exports = (sequelize: any, DataTypes: any) => {
  class Follower extends Model<IFollower> implements IFollower {
    id?: string;
    followedDt!: number;//moment().unix(),// follow Date
    status!: number;// 1: requested, 2: accepted

    /**
     * Helper method for defining associations.
     * This method is not a part of Sequelize lifecycle.
     * The `models/index` file will call this method automatically. 
     */
    static associate(models: any) {
      Follower.belongsTo(models.User, {
        targetKey: 'id',
        foreignKey: {
          allowNull: false,
          name: 'toUser',
          field: 'toUser'
        }
      });
      Follower.belongsTo(models.User, {
        targetKey: 'id',
        foreignKey: {
          allowNull: false,
          name: 'fromUser',
          field: 'fromUser'
        }
      });
    }
  }

  Follower.init({
    id: {
      type: DataTypes.INTEGER,
      allowNull: false,
      primaryKey: true,
      autoIncrement: true
    },
    followedDt: {
      type: DataTypes.INTEGER,
      allowNull: false
    },
    status: {
      type: DataTypes.INTEGER,
      allowNull: false,
      defaultValue: 1
    }
  }, {
    sequelize,
    createdAt: false,
    updatedAt:false,
    timestamps: true,
    modelName: 'Follower'
  });
  return Follower;
};