'use strict';
import { Model } from "sequelize";
export interface IHearAboutUsFrom {
  id?: number;
  sourceName: string;
}
module.exports = (sequelize: any, DataTypes: any) => {
  class HearAboutUsFrom extends Model<IHearAboutUsFrom> implements IHearAboutUsFrom {
    id?: number;
    sourceName!: string;
    /**
     * Helper method for defining associations.
     * This method is not a part of Sequelize lifecycle.
     * The `models/index` file will call this method automatically.
     */
    static associate(models) {
      // // define association here
      HearAboutUsFrom.hasMany(models.UserHearAboutUsFrom, {
          foreignKey: 'hearAboutUsFromId'
      });
    }
  }
  HearAboutUsFrom.init({
    id: {
      type: DataTypes.INTEGER,
      allowNull: false,
      primaryKey: true,
      autoIncrement: true
    },
    sourceName: {
      type: DataTypes.STRING,
      allowNull: false
    }
  }, {
    sequelize,
    createdAt: false,
    updatedAt: false,
    modelName: 'HearAboutUsFrom'
  });
  return HearAboutUsFrom;
};