'use strict';
import { Model } from 'sequelize';
export interface  IInterest {
  id?: number;
  name: string;
}
module.exports = (sequelize: any, DataTypes: any) => {
  class Interest extends Model<IInterest> implements IInterest {
    id?: number;
    name!: string;
    /**
     * Helper method for defining associations.
     * This method is not a part of Sequelize lifecycle.
     * The `models/index` file will call this method automatically.
     */
    static associate(models: any) {
      // define association here
      Interest.belongsToMany(models.User, {
        through: "userInterest"
      });
    }
  }
  Interest.init({
    id: {
      type: DataTypes.INTEGER,
      allowNull: false,
      primaryKey: true,
      autoIncrement: true
    },
    name: {
      type: DataTypes.STRING,
      allowNull: false
    }
  }, {
    sequelize,
    modelName: 'Interest'
  });
  return Interest;
};