import { Model } from "sequelize";
export interface ILocation {
  id?: number;
  longitude: string;
  latitude: string;
  address: string;
  locationPrivacy: number;
}

module.exports = (sequelize, DataTypes) => {
  class Location extends Model<ILocation> implements ILocation {
    id?: number;
    longitude!: string;
    latitude!: string;
    address!: string;
    locationPrivacy!: number;
    /**
     * Helper method for defining associations.
     * This method is not a part of Sequelize lifecycle.
     * The `models/index` file will call this method automatically.
     */
    static associate(models: any) {
      Location.belongsTo(models.User);
    }
  }
  Location.init({
    longitude: DataTypes.STRING,
    latitude: DataTypes.STRING,
    address: DataTypes.STRING,
    locationPrivacy: DataTypes.INTEGER
  }, {
    sequelize,
    modelName: 'Location'
  });
  return Location;
};