'use strict';
import { Model } from 'sequelize';
export interface INotificationSettings {
    id?: number;
    userId?: string;
    notificationType: string;
    like: number;
    match: number;
    messages: number;
    promotions: number;
    annoucements: number;
}
module.exports = (sequelize: any, DataTypes: any) => {
    class NotificationSettings extends Model<INotificationSettings> implements INotificationSettings {
        id!: number;
        userId!: string;
        notificationType: string;
        like: number;
        match: number;
        messages: number;
        promotions: number;
        annoucements: number;

        /**
         * Helper method for defining associations.
         * This method is not a part of Sequelize lifecycle.
         * The `models/index` file will call this method automatically.
         */
        static associate(models: any) {
            // define association here

            NotificationSettings.belongsTo(models.User, {
                targetKey: 'id',
                foreignKey: {
                    allowNull: false,
                    name: 'userId',
                    field: 'userId'
                }
            });
        }
    }

    NotificationSettings.init({
        id: {
            type: DataTypes.INTEGER,
            allowNull: false,
            primaryKey: true,
            autoIncrement: true
        },
        notificationType: {
            type: DataTypes.ENUM('EMAIL', 'PUSH'),
            allowNull: false
        },
        like: {
            type: DataTypes.INTEGER,
            defaultValue: false,
            allowNull: false
        },
        match: {
            type: DataTypes.INTEGER,
            defaultValue: false,
            allowNull: false
        },
        messages: {
            type: DataTypes.INTEGER,
            defaultValue: false,
            allowNull: false
        },
        promotions: {
            type: DataTypes.INTEGER,
            defaultValue: false,
            allowNull: false
        },
        annoucements: {
            type: DataTypes.INTEGER,
            defaultValue: false,
            allowNull: false
        }
    }, {
        sequelize,
        modelName: 'NotificationSettings',
        createdAt: false,
        updatedAt: false
    });
    return NotificationSettings;
};
