'use strict';
import { Model } from 'sequelize';
export interface INotification {
    id?: number;
    fromUser: string;
    toUser: string;
    timeStamp: number;
    expirationTimeStamp: number,
    type: string;
}
module.exports = (sequelize: any, DataTypes: any) => {
    class Notification extends Model<INotification> implements INotification {
        id!: number;
        fromUser: string;
        toUser: string;
        timeStamp: number;
        expirationTimeStamp: number;
        type: string;

        /**
         * Helper method for defining associations.
         * This method is not a part of Sequelize lifecycle.
         * The `models/index` file will call this method automatically.
         */
        static associate(models: any) {
            // define association here
            Notification.belongsTo(models.Post),
            Notification.belongsTo(models.Story)
        }
    }

    Notification.init({
        fromUser: {
            type: DataTypes.STRING,
            allowNull: false
        },
        toUser: {
            type: DataTypes.STRING,
            allowNull: false
        },
        timeStamp: {
            type: DataTypes.STRING,
            allowNull: false
        },
        expirationTimeStamp: {
            type: DataTypes.STRING,
            allowNull: false
        },
        type: {
            type: DataTypes.ENUM('POST_COMMENT_REPLY', 'POST_LIKE', 'TAGGED_IN_POST', 'COMMENT_LIKE', 'POST_COMMENT', 'FOLLOWING', 'PROFILE_LIKE'),
            allowNull: false
        },
    }, {
        sequelize,
        modelName: 'Notification',
        createdAt: false,
        updatedAt: false
    });
    return Notification;
};