import { Model } from "sequelize";
export interface IOTP {
  id?: number;
  signUpOTP: number;
  resetPasswordOTP: number;
  email: string;
  countryCode: string;
  phone: string;
}
module.exports = (sequelize: any, DataTypes: any) => {
  class Otp extends Model<IOTP> implements IOTP {
    signUpOTP!: number;
    resetPasswordOTP!: number;
    email!: string;
    countryCode!: string;
    phone!: string;
    static associate(models: any) {
      Otp.belongsTo(models.User);
    }
  }
  Otp.init({
    id: {
      type: DataTypes.INTEGER,
      allowNull: false,
      primaryKey: true,
      autoIncrement: true
    },
    signUpOTP: {
      type: DataTypes.INTEGER,
      allowNull: true
    },
    resetPasswordOTP: {
      type: DataTypes.INTEGER,
      allowNull: true
    },
    email: {
      type: DataTypes.STRING,
      defaultValue: '',
      allowNull: true
    },
    countryCode: {
      type: DataTypes.STRING,
      defaultValue: '',
      allowNull: true
    },
    phone: {
      type: DataTypes.STRING,
      defaultValue: '',
      allowNull: true
    }
  }, {
    sequelize,
    modelName: 'Otp'
  });
  return Otp;
};