'use strict';
import { Model } from 'sequelize';
export interface IPaymentGatewayLogs {
    id?: number;
    userId?: number;
    pgProfileId: string;
    pgPaymentProfileId: string;
}
module.exports = (sequelize: any, DataTypes: any) => {
    class PaymentGatewayLogs extends Model<IPaymentGatewayLogs> implements IPaymentGatewayLogs {
        id?: number;
        userId?: number;
        pgProfileId: string;
        pgPaymentProfileId: string;
        /**
         * Helper method for defining associations.
         * This method is not a part of Sequelize lifecycle.
         * The `models/index` file will call this method automatically.
         */
        static associate(models: any) {
            // define association here
            PaymentGatewayLogs.belongsTo(models.User, {
                targetKey: 'id',
                foreignKey: {
                    allowNull: false,
                    name: 'userId',
                    field: 'userId'
                }
            });
        }
    }
    PaymentGatewayLogs.init({
        id: {
            type: DataTypes.INTEGER,
            allowNull: false,
            primaryKey: true,
            autoIncrement: true
        },
        pgProfileId: {
            type: DataTypes.STRING,
            allowNull: false,
            defaultValue: ''
        },
        pgPaymentProfileId: {
            type: DataTypes.STRING,
            allowNull: false,
            defaultValue: ''
        }
    }, {
        sequelize,
        modelName: 'PaymentGatewayLogs',
        updatedAt: false,
        createdAt: false
    });
    return PaymentGatewayLogs;
};