'use strict';
import { Model } from "sequelize";
export interface IPost {
  id?: number;
  postText: string;
  location: string;
}
module.exports = (sequelize: any, DataTypes: any) => {
  class Post extends Model<IPost> implements IPost {
    id?: number;
    postText!: string;
    location!: string;
    /**
     * Helper method for defining associations.
     * This method is not a part of Sequelize lifecycle.
     * The `models/index` file will call this method automatically.
     */
    static associate(models: any) {
      // define association here
      Post.belongsTo(models.User);
      Post.hasMany(models.Reaction);
      Post.hasMany(models.Tag);
      Post.hasMany(models.PostMedia);
      Post.hasMany(models.Comment)
      Post.hasMany(models.Notification);
    }
  }
  Post.init({
    postText: {
      type: DataTypes.STRING,
      allowNull: true
    },
    location: {
      type: DataTypes.STRING,
      allowNull: true
    }
  }, {
    sequelize,
    modelName: 'Post'
  });
  return Post;
};