'use strict';
import { Model } from 'sequelize';

export interface IPostMedia {
  id?: number;
  mediaPath: string;
  mediaPosition: number;  
}
module.exports = (sequelize: any, DataTypes: any) => {
  class PostMedia extends Model<IPostMedia> implements IPostMedia {
    id?: number;
    mediaPath!: string;
    mediaPosition!: number;  
    /**
     * Helper method for defining associations.
     * This method is not a part of Sequelize lifecycle.
     * The `models/index` file will call this method automatically.
     */
    static associate(models: any) {
      // define association here
      PostMedia.belongsTo(models.Post);
    }
  }
  PostMedia.init({
    mediaPath: {
      type: DataTypes.STRING,
      allowNull: false
    },
    mediaPosition: {
      type: DataTypes.INTEGER,
      defaultValue: 1
    }
  }, {
    sequelize,
    modelName: 'PostMedia'
  });
  return PostMedia;
};