'use strict';
import { Model } from 'sequelize';
export interface IPromptsCategory {
    id?: number;
    name: string;
}
module.exports = (sequelize: any, DataTypes: any) => {
    class PromptsCategory extends Model<IPromptsCategory> implements IPromptsCategory {
        id!: number;
        name!: string;
        /**
         * Helper method for defining associations.
         * This method is not a part of Sequelize lifecycle.
         * The `models/index` file will call this method automatically.
         */
        static associate(models: any) {
            // define association here
            PromptsCategory.hasMany(models.PromptsQuestion, {
                foreignKey: 'promptsCategoryId'
            });
        }
    }
    PromptsCategory.init({
        id: {
            type: DataTypes.INTEGER,
            allowNull: false,
            primaryKey: true,
            autoIncrement: true
        },
        name: {
            type: DataTypes.STRING,
            allowNull: false
        }
    }, {
        sequelize,
        modelName: 'PromptsCategory',
        createdAt: false,
        updatedAt: false
    });
    return PromptsCategory;
};