'use strict';
import { Model } from 'sequelize';
export interface IPromptsQuestion {
  id?: number;
  name: string;
}
module.exports = (sequelize: any, DataTypes: any) => {
  class PromptsQuestion extends Model<IPromptsQuestion> implements IPromptsQuestion {
    id!: number;
    name!: string;
    /**
     * Helper method for defining associations.
     * This method is not a part of Sequelize lifecycle.
     * The `models/index` file will call this method automatically.
     */
    static associate(models: any) {
      // define association here
      PromptsQuestion.belongsTo(models.PromptsCategory, {
        foreignKey: {
          allowNull: false,
          name: 'promptsCategoryId',
          field: 'promptsCategoryId'
        }
      });
      PromptsQuestion.hasMany(models.UserPrompts, {
        foreignKey: 'promptsQuestionId'
      });
    }
  }
  PromptsQuestion.init({
    id: {
      type: DataTypes.INTEGER,
      allowNull: false,
      primaryKey: true,
      autoIncrement: true
    },
    name: {
      type: DataTypes.STRING,
      allowNull: false
    }
  }, {
    sequelize,
    createdAt: false,
    updatedAt: false,
    modelName: 'PromptsQuestion'
  });
  return PromptsQuestion;
};