'use strict';
import { Model } from 'sequelize';
export interface IQuestionCategory {
    id?: number;
    name: string;
}
module.exports = (sequelize: any, DataTypes: any) => {
    class QuestionCategory extends Model<IQuestionCategory> implements IQuestionCategory {
        id!: number;
        name!: string;
        /**
         * Helper method for defining associations.
         * This method is not a part of Sequelize lifecycle.
         * The `models/index` file will call this method automatically.
         */
        static associate(models: any) {
            // define association here
            QuestionCategory.hasMany(models.Choice, {
                foreignKey: 'quesCategoryId'
            });

            QuestionCategory.hasMany(models.Question, {
                foreignKey: 'quesCategoryId'
            });
        }
    }
    QuestionCategory.init({
        id: {
            type: DataTypes.INTEGER,
            allowNull: false,
            primaryKey: true,
            autoIncrement: true
        },
        name: {
            type: DataTypes.STRING,
            allowNull: false
        }
    }, {
        sequelize,
        modelName: 'QuestionCategory',
        createdAt: false,
        updatedAt: false
    });
    return QuestionCategory;
};