'use strict';
import { Model } from "sequelize";
export interface IReaction {
  id?: number;
  reactionType: string;
}
module.exports = (sequelize: any, DataTypes: any) => {
  class Reaction extends Model {
    id!: number;
    reactionType!: string
    /**
     * Helper method for defining associations.
     * This method is not a part of Sequelize lifecycle.
     * The `models/index` file will call this method automatically.
     */
    static associate(models: any) {
      // define association here
      Reaction.belongsTo(models.User);
      Reaction.belongsTo(models.Post);
      Reaction.belongsTo(models.Comment);
    }
  }
  Reaction.init({
    reactionType: {
      type: DataTypes.ENUM('like'),
      allowNull: false
    }
  }, {
    sequelize,
    modelName: 'Reaction'
  });
  return Reaction;
};