'use strict';
const { Model } = require('sequelize');
export interface IReportedUser {
  id?: number;
  comment: string;
  lastReportedTime: string
  action: number;
  reportReason: string;
}
module.exports = (sequelize, DataTypes) => {
  class ReportedUser extends Model {
    id?: number;
    comment: string;
    lastReportedTime: string
    action: number;
    reportReason: string;

    static associate(models) {
      ReportedUser.belongsTo(models.User, {
        targetKey: 'id',
        foreignKey: {
          allowNull: false,
          name: 'userId',
          field: 'userId'
        }
      });
      ReportedUser.belongsTo(models.User, {
        targetKey: 'id',
        foreignKey: {
          allowNull: false,
          name: 'toUserId',
          field: 'toUserId'
        }
      });
    }
  }
  ReportedUser.init({
    id: {
      type: DataTypes.INTEGER,
      allowNull: false,
      primaryKey: true,
      autoIncrement: true
    },
    comment: {
      type: DataTypes.STRING,
      allowNull: false
    },
    lastReportedTime: {
      type: DataTypes.DATE,
      allowNull: false
    },
    action: {
      type: DataTypes.INTEGER,
      allowNull: false
    },
    reportReason: {
      type: DataTypes.STRING,
      allowNull: false
    }

  }, {
    sequelize,
    createdAt: false,
    updatedAt: false,
    modelName: 'ReportedUser'
  });
  return ReportedUser;
};
