import { Model } from 'sequelize';
export interface ISignUpCheckList {
    id?: string;
    userId?: string;
    mobileVerified: boolean;
    videoVerified: boolean;
    documentVerified: boolean;
    sexOffenderVerified: boolean;
    questionFilled: boolean;
    locationAdded: boolean;
    datingPageMediaUploaded: boolean;
}

module.exports = (sequelize: any, DataTypes: any) => {
    class SignUpCheckList extends Model<ISignUpCheckList> implements ISignUpCheckList {
        id?: string;
        userId?: string;
        mobileVerified: boolean;
        videoVerified: boolean;
        documentVerified: boolean;
        sexOffenderVerified: boolean;
        questionFilled: boolean;
        locationAdded: boolean;
        datingPageMediaUploaded: boolean;

        /**
         * Helper method for defining associations.
         * This method is not a part of Sequelize lifecycle.
         * The `models/index` file will call this method automatically. 
         */
        static associate(models: any) {
            SignUpCheckList.belongsTo(models.User, {
                targetKey: 'id',
                foreignKey: {
                    allowNull: false,
                    name: 'userId',
                    field: 'userId'
                }
            });
        }
    }

    SignUpCheckList.init({
        id: {
            type: DataTypes.INTEGER,
            allowNull: false,
            primaryKey: true,
            autoIncrement: true
        },
        mobileVerified: {
            type: DataTypes.BOOLEAN,
            defaultValue: false,
            allowNull: false
        },
        videoVerified: {
            type: DataTypes.BOOLEAN,
            defaultValue: false,
            allowNull: false
        },
        documentVerified: {
            type: DataTypes.BOOLEAN,
            defaultValue: false,
            allowNull: false
        },
        sexOffenderVerified: {
            type: DataTypes.BOOLEAN,
            defaultValue: false,
            allowNull: false
        },
        questionFilled: {
            type: DataTypes.BOOLEAN,
            defaultValue: false,
            allowNull: false
        },
        locationAdded: {
            type: DataTypes.BOOLEAN,
            defaultValue: false,
            allowNull: false
        },
        datingPageMediaUploaded: {
            type: DataTypes.BOOLEAN,
            defaultValue: false,
            allowNull: false
        },
    }, {
        sequelize,
        createdAt: false,
        updatedAt: false,
        modelName: 'SignUpCheckList'
    });
    return SignUpCheckList;
};