'use strict';
import { Model } from 'sequelize';
export interface ISpotifyPlaylists {
    id?: number;
    userId?: number;
    name?: string;
    image?: string;
}
module.exports = (sequelize: any, DataTypes: any) => {
    class SpotifyPlaylists extends Model<ISpotifyPlaylists> implements ISpotifyPlaylists {
        id?: number;
        userId?: number;
        name?: string;
        image?: string;
        /**
         * Helper method for defining associations.
         * This method is not a part of Sequelize lifecycle.
         * The `models/index` file will call this method automatically.
         */
        static associate(models: any) {
            // define association here
            SpotifyPlaylists.belongsTo(models.User, {
                targetKey: 'id',
                foreignKey: {
                    allowNull: true,
                    name: 'userId',
                    field: 'userId'
                }
            });
            SpotifyPlaylists.hasMany(models.SpotifyTracks, {
                foreignKey: 'playlistId'
            });
        }
    }
    SpotifyPlaylists.init({
        id: {
            type: DataTypes.INTEGER,
            allowNull: false,
            primaryKey: true,
            autoIncrement: true
        },
        name: {
            type: DataTypes.STRING(255),
            allowNull: false,
            defaultValue: ''
        },
        image: {
            type: DataTypes.STRING(255),
            allowNull: false,
            defaultValue: ''
        }
    }, {
        sequelize,
        modelName: 'SpotifyPlaylists',
        updatedAt: false,
        createdAt: true
    });
    return SpotifyPlaylists;
};