'use strict';
import { Model } from 'sequelize';
export interface ISpotifyTracks {
    id?: number;
    playlistId?: number;
    name?: string;
    image?: string;
    url?: string;
    uri?: string;
}
module.exports = (sequelize: any, DataTypes: any) => {
    class SpotifyTracks extends Model<ISpotifyTracks> implements ISpotifyTracks {
        id?: number;
        playlistId?: number;
        name?: string;
        image?: string;
        url?: string;
        uri?: string;
        /**
         * Helper method for defining associations.
         * This method is not a part of Sequelize lifecycle.
         * The `models/index` file will call this method automatically.
         */
        static associate(models: any) {
            // define association here
            SpotifyTracks.belongsTo(models.SpotifyPlaylists, {
                targetKey: 'id',
                foreignKey: {
                    allowNull: true,
                    name: 'playlistId',
                    field: 'playlistId'
                }
            });
        }
    }
    SpotifyTracks.init({
        id: {
            type: DataTypes.INTEGER,
            allowNull: false,
            primaryKey: true,
            autoIncrement: true
        },
        name: {
            type: DataTypes.STRING(255),
            allowNull: false,
            defaultValue: ''
        },
        image: {
            type: DataTypes.STRING(255),
            allowNull: false,
            defaultValue: ''
        },
        url: {
            type: DataTypes.STRING(255),
            allowNull: false,
            defaultValue: ''
        },
        uri: {
            type: DataTypes.STRING(255),
            allowNull: false,
            defaultValue: ''
        }
    }, {
        sequelize,
        modelName: 'SpotifyTracks',
        updatedAt: false,
        createdAt: true
    });
    return SpotifyTracks;
};