'use strict';
import { Model } from "sequelize";
export interface IStoryPrivacy {
  id?: number;
  hideByUserId?: number;
  hideForUserId?: number;
}
module.exports = (sequelize: any, DataTypes: any) => {
  class StoryPrivacy extends Model<IStoryPrivacy> implements IStoryPrivacy {
    id?: number;
    hideByUserId?: number;
    hideForUserId?: number;
    /**
     * Helper method for defining associations.
     * This method is not a part of Sequelize lifecycle.
     * The `models/index` file will call this method automatically.
     */
    static associate(models: any) {
      // define association here
      StoryPrivacy.belongsTo(models.User, {
        targetKey: 'id',
        foreignKey: {
          allowNull: false,
          name: 'hideByUserId',
          field: 'hideByUserId'
        }
      });
      StoryPrivacy.belongsTo(models.User, {
        targetKey: 'id',
        foreignKey: {
          allowNull: false,
          name: 'hideForUserId',
          field: 'hideForUserId'
        }
      });

    }
  }
  StoryPrivacy.init({
    id: {
      type: DataTypes.INTEGER,
      primaryKey: true,
      autoIncrement: true
    }
  }, {
    sequelize,
    createdAt: false,
    updatedAt: false,
    modelName: 'StoryPrivacy'
  });
  return StoryPrivacy;
};