'use strict';
import { Model } from "sequelize";
export interface IStoryViews {
  id?: number;
  viewedByUserId: number;
  viewedByUserName: string;
  viewedByFirstName: string;
  viewedByLastName: string;
  profileThumbnail: string;
  viewTimeStamp: number;
  createdAt: string;
  updatedAt: string;
}
module.exports = (sequelize: any, DataTypes: any) => {
  class StoryViews extends Model<IStoryViews> implements IStoryViews {
    id?: number;
    viewedByUserId!: number;
    viewedByUserName!: string;
    viewedByFirstName!: string;
    viewedByLastName!: string;
    profileThumbnail!: string;
    viewTimeStamp!: number;
    createdAt!: string;
    updatedAt!: string;
    /**
     * Helper method for defining associations.
     * This method is not a part of Sequelize lifecycle.
     * The `models/index` file will call this method automatically.
     */
    static associate(models: any) {
      // define association here
      StoryViews.belongsTo(models.Story);
    }
  }
  StoryViews.init({
    id: {
      type: DataTypes.INTEGER,
      primaryKey: true,
      autoIncrement: true
    },
    viewedByUserId: {
      type: DataTypes.INTEGER
    },
    viewedByUserName: {
      type: DataTypes.STRING
    },
    viewedByFirstName: {
      type: DataTypes.STRING
    },
    viewedByLastName: {
      type: DataTypes.STRING
    },
    profileThumbnail: {
      type: DataTypes.STRING
    },
    viewTimeStamp: {
      type: DataTypes.INTEGER,
      allowNull: false
    },
    createdAt: {
      type: DataTypes.DATE,
      allowNull: false
    },
    updatedAt: {
      type: DataTypes.DATE,
      allowNull: false
    }
  }, {
    sequelize,
    modelName: 'StoryViews'
  });
  return StoryViews;
};