'use strict';
import { Model } from "sequelize";
export interface ISubscriptionPlan {
  id?: number;
  planName: string;
  planDetails:string;
  planValidityInDays:string;
  price:string;
  discount:string;
}
module.exports = (sequelize: any, DataTypes: any) => {
  class SubscriptionPlan extends Model<ISubscriptionPlan> implements ISubscriptionPlan {
    id?: number;
    planName!: string;
    planDetails!:string;
    planValidityInDays!:string;
    price!:string;
    discount!:string;
    /**
     * Helper method for defining associations.
     * This method is not a part of Sequelize lifecycle.
     * The `models/index` file will call this method automatically.
     */
    static associate(models: any) {
      // define association here
      SubscriptionPlan.hasMany(models.SubscribedUser);
      SubscriptionPlan.hasMany(models.UserPurchase, {
        foreignKey: 'subscriptionPlanId'
      });
    }
  }
  SubscriptionPlan.init({
    id: {
      type: DataTypes.INTEGER,
      allowNull: false,
      primaryKey: true,
      autoIncrement: true
    },
    planName: {
      type: DataTypes.STRING,
      allowNull: false
    },
    planDetails: {
      type: DataTypes.STRING,
      allowNull: false
    },
    planValidityInDays: {
      type: DataTypes.STRING,
      allowNull: false
    },
    price: {
      type: DataTypes.STRING,
      allowNull: false
    },
    discount: {
      type: DataTypes.STRING,
      allowNull: false
    }
  }, {
    sequelize,
    modelName: 'SubscriptionPlan'
  });
  return SubscriptionPlan;
};