'use strict';
import { Model } from "sequelize";
export interface ISubscribedUser {
  id?: number;
  planValidityInDays: string;
  activatedOn: number;
  expiresOn: number;
}
module.exports = (sequelize: any, DataTypes: any) => {
  class SubscribedUser extends Model<ISubscribedUser> implements ISubscribedUser {
    id?: number;
    planValidityInDays!: string;
    activatedOn!: number;
    expiresOn!: number;
    /**
     * Helper method for defining associations.
     * This method is not a part of Sequelize lifecycle.
     * The `models/index` file will call this method automatically.
     */
    static associate(models: any) {
      // define association here
      SubscribedUser.belongsTo(models.User);
      SubscribedUser.belongsTo(models.SubscriptionPlan);
    }
  }
  SubscribedUser.init({
    id: {
      type: DataTypes.INTEGER,
      allowNull: false,
      primaryKey: true,
      autoIncrement: true
    },
    planValidityInDays: {
      type: DataTypes.STRING,
      allowNull: false
    },
    activatedOn: {
      type: DataTypes.INTEGER,
      allowNull: false
    },
    expiresOn: {
      type: DataTypes.INTEGER,
      allowNull: false
    }
  }, {
    sequelize,
    modelName: 'SubscribedUser'
  });
  return SubscribedUser;
};