import { Model } from 'sequelize';
export interface ITag {
  id?: string;
  postId?: string;
  userId?: string;
}

module.exports = (sequelize: any, DataTypes: any) => {
  class Tag extends Model<ITag> implements ITag {
    id?: string;
    postId?: string;
    userId?: string;

    /**
     * Helper method for defining associations.
     * This method is not a part of Sequelize lifecycle.
     * The `models/index` file will call this method automatically. 
     */
    static associate(models: any) {
        Tag.belongsTo(models.User);
        Tag.belongsTo(models.Post);
    }
  }

  Tag.init({
    id: {
        type: DataTypes.INTEGER,
        allowNull: false,
        primaryKey: true,
        autoIncrement: true
      }
  }, {
    sequelize,
    timestamps: true,
    modelName: 'Tag'
  });
  return Tag;
};