'use strict';
import { Model } from "sequelize";
export interface IUserOnlineLogs {
    id?: number;
    onTimestamp: number;
    offTimestamp: number;
}
module.exports = (sequelize: any, DataTypes: any) => {
    class UserOnlineLogs extends Model<IUserOnlineLogs> implements IUserOnlineLogs {
        id?: number;
        onTimestamp: number;
        offTimestamp: number;
        /**
         * Helper method for defining associations.
         * This method is not a part of Sequelize lifecycle.
         * The `models/index` file will call this method automatically.
         */
        static associate(models: any) {
            // define association here
            UserOnlineLogs.belongsTo(models.User, {
                targetKey: 'id',
                foreignKey: {
                    allowNull: false,
                    name: 'userId',
                    field: 'userId'
                }
            });
        }
    }
    UserOnlineLogs.init({
        id: {
            type: DataTypes.INTEGER,
            primaryKey: true,
            autoIncrement: true,
        },
        onTimestamp: {
            type: DataTypes.INTEGER,
            allowNull: false,
            defaultValue: 0
        },
        offTimestamp: {
            type: DataTypes.INTEGER,
            allowNull: false,
            defaultValue: 0
        }
    }, {
        sequelize,
        createdAt: false,
        updatedAt: false,
        modelName: 'UserOnlineLogs'
    });
    return UserOnlineLogs;
};