'use strict';
import { Model } from 'sequelize';
export interface IUserPreference {
    id?: number;
    userId?: number;
    questionId?: number;
    answer?: number;
}
module.exports = (sequelize: any, DataTypes: any) => {
    class UserPreference extends Model<IUserPreference> implements IUserPreference {
        id?: number;
        userId?: number;
        questionId?: number;
        answer!: number;
        /**
         * Helper method for defining associations.
         * This method is not a part of Sequelize lifecycle.
         * The `models/index` file will call this method automatically.
         */
        static associate(models: any) {
            // define association here
            UserPreference.belongsTo(models.Choice, {
                targetKey: 'id',
                foreignKey: {
                    allowNull: false,
                    name: 'answer',
                    field: 'answer'
                }
            });
            UserPreference.belongsTo(models.Question, {
                targetKey: 'id',
                foreignKey: {
                    allowNull: false,
                    name: 'questionId',
                    field: 'questionId'
                }
            });
            UserPreference.belongsTo(models.User, {
                targetKey: 'id',
                foreignKey: {
                    allowNull: false,
                    name: 'userId',
                    field: 'userId'
                }
            });
        }
    }
    UserPreference.init({
        id: {
            type: DataTypes.INTEGER,
            allowNull: false,
            primaryKey: true,
            autoIncrement: true
        }
    }, {
        sequelize,
        modelName: 'UserPreference',
        updatedAt: false
    });
    return UserPreference;
};