'use strict';
import { Model } from 'sequelize';
export interface IUserPrompts {
    id?: number;
    userId?: number;
    promptsQuestionId?: number;
    answer?: string;
}
module.exports = (sequelize: any, DataTypes: any) => {
    class UserPrompts extends Model<IUserPrompts> implements IUserPrompts {
        id?: number;
        userId?: number;
        promptsQuestionId?: number;
        answer!: string;
        /**
         * Helper method for defining associations.
         * This method is not a part of Sequelize lifecycle.
         * The `models/index` file will call this method automatically.
         */
        static associate(models: any) {
            // define association here
            UserPrompts.belongsTo(models.PromptsQuestion, {
                targetKey: 'id',
                foreignKey: {
                    allowNull: false,
                    name: 'promptsQuestionId',
                    field: 'promptsQuestionId'
                }
            });
            UserPrompts.belongsTo(models.User, {
                targetKey: 'id',
                foreignKey: {
                    allowNull: false,
                    name: 'userId',
                    field: 'userId'
                }
            });
        }
    }
    UserPrompts.init({
        id: {
            type: DataTypes.INTEGER,
            allowNull: false,
            primaryKey: true,
            autoIncrement: true
        },
        answer: {
            type: DataTypes.STRING,
            allowNull: false
        }
    }, {
        sequelize,
        modelName: 'UserPrompts',
        createdAt: false,
        updatedAt: false
    });
    return UserPrompts;
};