'use strict';
import { Model } from 'sequelize';
export interface IUserPurchase {
    id?: number;
    userId?: number;
    subscriptionPlanId?: number;
    txnDate: number;
    txnId: string;
    txnRefId: string;
    paymentProfile: string;
}
module.exports = (sequelize: any, DataTypes: any) => {
    class UserPurchase extends Model<IUserPurchase> implements IUserPurchase {
        id?: number;
        userId?: number;
        subscriptionPlanId?: number;
        txnDate: number;
        txnId: string;
        txnRefId: string;
        paymentProfile: string;
        /**
         * Helper method for defining associations.
         * This method is not a part of Sequelize lifecycle.
         * The `models/index` file will call this method automatically.
         */
        static associate(models: any) {
            // define association here
            UserPurchase.belongsTo(models.SubscriptionPlan, {
                targetKey: 'id',
                foreignKey: {
                    allowNull: false,
                    name: 'subscriptionPlanId',
                    field: 'subscriptionPlanId',
                }
            });
            UserPurchase.belongsTo(models.User, {
                targetKey: 'id',
                foreignKey: {
                    allowNull: false,
                    name: 'userId',
                    field: 'userId',
                }
            });
        }
    }
    UserPurchase.init({
        id: {
            type: DataTypes.INTEGER,
            allowNull: false,
            primaryKey: true,
            autoIncrement: true
        },
        txnDate: {
            type: DataTypes.INTEGER,
            allowNull: false
        },
        txnId: {
            type: DataTypes.STRING,
            allowNull: false
        },
        txnRefId: {
            type: DataTypes.STRING,
            allowNull: false
        },
        paymentProfile: {
            type: DataTypes.STRING,
            allowNull: false
        }
    }, {
        sequelize,
        modelName: 'UserPurchase',
        updatedAt: false,
        createdAt: false
    });
    return UserPurchase;
};