import { Model } from 'sequelize';
export interface IUserTimeLogs {
  id?: string;
  userId?: string;
  latitude: string;
  longitude: string;
  lastTimeStamp: number;
}

module.exports = (sequelize: any, DataTypes: any) => {
  class UserTimeLogs extends Model<IUserTimeLogs> implements IUserTimeLogs {
    id?: string;
    userId?: string;
    latitude: string;
    longitude: string;
    lastTimeStamp: number;

    /**
     * Helper method for defining associations.
     * This method is not a part of Sequelize lifecycle.
     * The `models/index` file will call this method automatically. 
     */
    static associate(models: any) {
      UserTimeLogs.belongsTo(models.User, {
        targetKey: 'id',
        foreignKey: {
          allowNull: false,
          name: 'userId',
          field: 'userId'
        }
      });
    }
  }

  UserTimeLogs.init({
    id: {
      type: DataTypes.INTEGER,
      allowNull: false,
      primaryKey: true,
      autoIncrement: true
    },
    latitude: {
      type: DataTypes.STRING,
      allowNull: false
    },
    longitude: {
      type: DataTypes.STRING,
      allowNull: false
    },
    lastTimeStamp: {
      type: DataTypes.INTEGER,
      allowNull: false
    }
  }, {
    sequelize,
    createdAt: false,
    updatedAt: false,
    modelName: 'UserTimeLogs'
  });
  return UserTimeLogs;
};