'use strict';
import { Model } from 'sequelize';
export interface IUserToken {
    id?: number;
    userId?: number;
    token?: string;
    userType?: string;
}
module.exports = (sequelize: any, DataTypes: any) => {
    class UserToken extends Model<IUserToken> implements IUserToken {
        id?: number;
        userId?: number;
        token?: string;
        userType?: string;
        /**
         * Helper method for defining associations.
         * This method is not a part of Sequelize lifecycle.
         * The `models/index` file will call this method automatically.
         */
        static associate(models: any) {
            // define association here
            UserToken.belongsTo(models.User, {
                targetKey: 'id',
                foreignKey: {
                    allowNull: false,
                    name: 'userId',
                    field: 'userId'
                }
            });
        }
    }
    UserToken.init({
        id: {
            type: DataTypes.INTEGER,
            allowNull: false,
            primaryKey: true,
            autoIncrement: true
        },
        token: {
            type: DataTypes.STRING(500),
            allowNull: false,
            defaultValue: ''
        },
        userType: {
            type: DataTypes.ENUM("USER", "ADMIN"),
            defaultValue: "USER",
            allowNull: false
        }
    }, {
        sequelize,
        modelName: 'UserToken',
        updatedAt: false,
        createdAt: false
    });
    return UserToken;
};