'use strict';
import { Model} from 'sequelize';
export interface IUserAnswer {
  id?: number;
  answer: string;
}
module.exports = (sequelize: any, DataTypes: any) => {
  class UserAnswer extends Model<IUserAnswer> implements IUserAnswer {
    id?: number;
    answer!: string;
    /**
     * Helper method for defining associations.
     * This method is not a part of Sequelize lifecycle.
     * The `models/index` file will call this method automatically.
     */
    static associate(models: any) {
      // define association here
      UserAnswer.belongsTo(models.Question);
      UserAnswer.belongsTo(models.User);
    }
  }
  UserAnswer.init({
    id: {
      type: DataTypes.INTEGER,
      allowNull: false,
      primaryKey: true,
      autoIncrement: true
    },
    answer: {
      type: DataTypes.STRING,
      allowNull: true
    }
  }, {
    sequelize,
    modelName: 'UserAnswer'
  });
  return UserAnswer;
};