'use strict';
import { Model } from "sequelize";
export interface IUserHearAboutUsFrom {
    id?: number;
    userId?: number;
    hearAboutUsFromId?: number;

}
module.exports = (sequelize, DataTypes) => {
    class UserHearAboutUsFrom extends Model<IUserHearAboutUsFrom> implements IUserHearAboutUsFrom {
        id?: number;
        userId?: number;
        hearAboutUsFromId?: number;
        /**
         * Helper method for defining associations.
         * This method is not a part of Sequelize lifecycle.
         * The `models/index` file will call this method automatically.
         */
        static associate(models) {
            // define association here
            UserHearAboutUsFrom.belongsTo(models.HearAboutUsFrom, {
                targetKey: 'id',
                foreignKey: {
                    allowNull: false,
                    name: 'hearAboutUsFromId',
                    field: 'hearAboutUsFromId'
                }
            });
            UserHearAboutUsFrom.belongsTo(models.User, {
                targetKey: 'id',
                foreignKey: {
                    allowNull: false,
                    name: 'userId',
                    field: 'userId'
                }
            });
        }
    }
    UserHearAboutUsFrom.init({
        id: {
            type: DataTypes.INTEGER,
            allowNull: false,
            primaryKey: true,
            autoIncrement: true
        }
    }, {
        sequelize,
        modelName: 'UserHearAboutUsFrom',
        updatedAt: false
    });
    return UserHearAboutUsFrom;
};