export enum OtpType {
    RESET_PASSWORD = 1,
    SIGNUP = 2
}

export enum HTTPStatusCode {
    CREATED = 201,
    SUCCESS = 200,
    BAD_REQUEST = 400,
    UNAUTHORIZED = 401,
    NOTFOUND = 404,
    CONFLICT = 409,
    ERROR_410 = 410,
    ERROR_411 = 411,
    ERROR_412 = 412,
    ERROR_413 = 413,
    ERROR_414 = 414,
    INTERNAL_SERVER_ERROR = 500,
    NOT_IMPLEMENTED = 501,
    SERVER_DOWN = 503
}

export enum MediaTypes {
    IMAGE = "IMAGE",
    VIDEO = "VIDEO",
    TEXT = "TEXT"
}

export enum MediaSources {
    STORY = 1,
    POST = 2,
    PROFILE_PICTURE = 3,
    DATING_PAGE_MEDIA = 4
}

export enum FollowStatus {
    FOLLOW = 0,
    FOLLOW_REQUEST_SENT = 1,
    FOLLOW_REQUEST_ACCEPTED = 2,
    FOLLOW_BACK = 3
}

export enum FollowStatusText {
    FOLLOW = 'Follow',
    FOLLOW_REQUEST_SENT = 'Requested',
    FOLLOW_REQUEST_ACCEPTED = 'Following',
    FOLLOW_BACK = 'Follow Back'
}

export enum UserType {
    ADMIN = 'ADMIN',
    USER = 'USER'
}

export enum FolderNames {
    POST = "posts",
    STORIES = "stories",
    DATING_PAGE_MEDIA = "datingpagemedia",
    PROFILE_PICTURE = "profilePicture"
}

export enum Users {
    ACTIVE = 1,
    DISABLE = 2,
    ALLUSERS = 3,
    SUBSCRIBEDUSERS = 4,
    INACTIVE = 0
}

export enum ImageExentions {
    APNG = ".apng",
    AVIF = ".avif",
    GIF = ".gif",
    JPEG = ".jpeg",
    JPG = ".jpg",
    JFIF = ".jfif",
    PJPEG = ".pjpeg",
    PJP = ".pjp",
    PNG = ".png",
    WEBP = ".webp",
    SVG = ".svg",
    BMP = ".bmp",
}

export enum VideoExtensions {
    WEBM = ".webm",
    MPG = ".mpg",
    MP2 = ".mp2",
    MPEG = ".mpeg",
    MPE = ".mpe",
    MPV = ".mpv",
    OGG = ".ogg",
    MP4 = ".mp4",
    M4P = ".m4p",
    M4V = ".m4v",
    AVI = ".avi",
    WMV = ".wmv",
    MOV = ".mov",
    QT = ".qt",
    FLV = ".flv",
    SWF = ".swf"
}

export enum NotificationType {
    POST_COMMENT_REPLY = 'POST_COMMENT_REPLY',
    POST_LIKE = 'POST_LIKE',
    TAGGED_IN_POST = 'TAGGED_IN_POST',
    COMMENT_LIKE = 'COMMENT_LIKE',
    POST_COMMENT = 'POST_COMMENT',
    FOLLOWING = 'FOLLOWING',
    PROFILE_LIKE = 'PROFILE_LIKE'
}

export enum DatePageActions {
    LIKE = 'LIKE',
    IGNORE = 'IGNORE'
}

export enum ValidateTypes {
    EMAIL = 1,
    USERNAME = 2,
    PHONE = 3
}

export enum LoginTypes {
    NORMAL = "NORMAL",
    GOOGLE = "GOOGLE",
    FACEBOOK = "FACEBOOK",
    APPLE = "APPLE"
}

export enum EmailService {
    SMTP = "SMTP",
    SENDGRID = "SENDGRID"
}

export enum SmsService {
    TWILIO = "TWILIO",
    SINCH = "SINCH"
}

export enum DocumentTypes {
    ID = 1,
    PASSPORT = 2,
    PASSPORTBOOK = 3,
    GREENCARD = 6,
    INTERNATIONALID = 7
}

export enum DocumentStatus {
    NOT_UPLOADED = 0,
    PENDING = 1,
    REJECTED = 2,
    APPROVED = 3
}

export enum ValidationModes {
    TESTMODE = "testMode",
    LIVEMODE = "liveMode",
}

export enum PgResponseCases {
    SUCCESS = "Ok",
    ERROR = "Error"
}

export enum locationPrivacy {
    ANYONE = 0,
    FRIENDS = 1
}

export enum Questions {
    I_AM_INTRESTED_IN_DATING = 1,
    I_IDENTIFY_AS = 2,
    ETHNICITY = 3,
    CHILDREN = 4,
    FAMILY_PLANS = 5,
    VACCINES = 6,
    HEIGHT = 7,
    PETS = 8,
    DRINKING = 9,
    SMOKING = 10,
    MARIJUANA = 11,
    DRUGS = 12,
    WORKS = 13,
    JOB_TITLE = 14,
    COLLEGE_UNIVERSITY = 15,
    EDUCATION_LEVEL = 16,
    RELIGIOUS_BELIEFS = 17,
    HOMETOWN = 18,
    POLITICAL_VIEWS = 19,
    LANGUAGE_SPOKEN = 20,
}

export enum CommonAnswers {
    PREFER_NOT_TO_SAY = "Prefer Not to Say",
    SOMETIMES = "Sometimes"
}

export enum IdenfyStatus {
    APPROVED = "APPROVED",
    DENIED = "DENIED",
    SUSPECTED = "SUSPECTED",
    REVIEWING = "REVIEWING",
    EXPIRED = "EXPIRED",
    ACTIVE = "ACTIVE"
}

export enum UserLastStatus {
    ONLINE = "Online",
    OFFLINE = "Offline"
}

export enum Gender {
    M = "Male",
    F = "Female",
    X = "Unspecified"
}

export enum distanceUnits {
    MILE = "MI",
    KM = "KM"
}

export enum heightUnits {
    FEET = "FT",
    CM = "CM"
}

export enum UserInterestedIn {
    MEN = 2,
    WOMEN = 3,
    EVERYONE = 4
}