import { StaticMessages } from "./staticMessage";
import { HTTPStatusCode } from "./enums";
import { Constants } from "./constants";
import { Logging } from "../web/commonServices/logging.service";

const getErrorObject = (err: any = null) => {
    let error : {"message": string | string[], "statusCode": number | string} = {"message": '', "statusCode": ""};
    if (err) {
        let errorMessage = [];
        switch (err.name) {
            case 'SequelizeValidationError':
                error.message = err.errors.map((e: any) => {
                    return e.message.split('.')[1];
                });
                error.message = error.message[0];
                error.statusCode = HTTPStatusCode.BAD_REQUEST
            break;
            case 'SequelizeUniqueConstraintError':
                error.message = err.errors.map((e: any) => {
                    return e.message;
                });
                error.message = error.message[0];
                error.statusCode = HTTPStatusCode.BAD_REQUEST;
            break;
            case 'SequelizeConnectionError':
                error.message = ['Could not Connect to the Database!'];
                error.message = error.message[0];
                error.statusCode = HTTPStatusCode.SERVER_DOWN;
            break;
            case Constants.CUSTOM_ERROR:
                error.message = err.message;
                error.statusCode = err.statusCode;
                console.log("err.statusCodeerr.statusCodeerr.statusCode", err);
            break;
            default:
                Logging.logMessage(err);
                error.message = StaticMessages.INTERNAL_SERVER_ERROR;
                error.statusCode = HTTPStatusCode.INTERNAL_SERVER_ERROR;
                // console.log(error.statusCode,'zxcvhj')
                break;
        }
    }
    return error;
};
export default getErrorObject;