export class StaticMessages {
    public static getCreatedMessage: Function = (item: String | null) => {
        return item ? item + " has been created successfully." : 'Created successfully';
    };
    public static getCreationFailedMessage: Function = (item: String | null) => {
        return item ? item + " could not be Added!" : 'Creation Failed';
    };
    public static getUpdatedMessage: Function = (item: String | null) => {
        return item ? item + " has been updated successfully." : 'Updated successfully';
    };
    public static getDeletedMessage: Function = (item: String | null) => {
        return item ? item + " has been deleted successfully." : 'Deleted successfully';
    };
    public static getDeletedFailedMessage: Function = (item: String | null) => {
        return "Delete " + item + " Failed!";
    };
    public static getUpdateFailedMessage: Function = (item: String | null) => {
        return "Update " + item + " Failed!";
    };
    public static getNotExistMessage: Function = (item: String | null) => {
        return item ? item + " not found." : 'Not Found.';
    };
    public static getNotCreatedMessage: Function = (item: String | null) => {
        return item ? item + " not created." : 'Not Created.';
    };
    public static getListReturnedMessage: Function = (item: String | null) => {
        return item ? item + " list." : 'List retrieved successfully';
    };
    public static getItemMessage: Function = (item: String | null) => {
        return item ? item : '';
    };
    public static getUserMessage: Function = (item: String | null) => {
        return item ? item + "" : '';
    };
    public static getItemMissing: Function = (item: String | null) => {
        return item ? item + " is missing" : 'Something is missing';
    };

    public static getBadQualityPhoto: Function = (item: String | null) => {
        return item ? item + " quality is bad, Try Again" : 'Quality is bad, Try Again';
    };
    // public static LoggedIN: Function = (item: String | null) => {
    //     return item ? item + " has been LoggedIn successfully." : 'LoggedIn successfully';
    // };
    public static APP_NAME: string = "Date Safe";
    public static OP_FAILED: string = "Operation Failed!";
    public static INPUT_CORRECT_DETAILS: string = "Please input correct details.";
    public static MAIL_NOT_SENT: string = "Mail has not been sent.";
    public static MAIL_SENT: string = "Mail has been sent.";
    public static ACCESS_TOKEN_NOT_MATCH: string = "Access Token is not Valid.";
    public static PASSWORD_RESET_EMAIL: string = "Your password has been reset and sent your given email Id.";
    public static PASSWORD_NOT_RESET: string = "Your password has not been reset.";
    public static VERIFY_EMAIL: string = "Please verify your email address.";
    public static INCORRECT_PASSWORD: string = "Incorrect Password.";
    public static REPORT_SENT_ON_EMAIL: string = "Report has been sent on your registered Email ID.";
    public static REPORT_NOT_FOUND: string = "Report data not found.";
    public static NO_RESPONSE_FROM_DB: string = "No response found from database.";
    public static NO_RECORD_FOUND: string = "No Record found";
    public static INTERNAL_SERVER_ERROR: string = "Internal Server Error Occured";
    public static INVALID_CREDS = "Invalid Credentials!";
    public static EMAIL_NOT_FOUND = "Email does not exist.";
    public static SIGNUP_RESET_OTP_SENT = "We’ve sent an OTP to your email address";
    public static LOGIN_DETAIL_SENT = "We’ve sent you Login Information to your email address";
    public static SIGNUP_FAILED = "SignUp Failed!";
    public static CONFIRM_ACCOUNT = "Confirm " + this.APP_NAME + " Account";
    public static SUCCESS_SIGNUP = "Successfull Signup on " + this.APP_NAME;
    public static INVALID_OTP = "Invalid Otp";
    public static INVALID_ACCESS_TOKEN = "Invalid Access Token";
    public static INVALID_OTP_TYPE = "Invalid Otp Type";
    public static LOGIN_SUCCESS = "Login Successfull";
    public static LOGOUT_SUCCESS = "Logout Successfull";
    public static LOGIN_FAILED = "Login is not successfull";
    public static LOGOUT_FAILED = "Logout is not successfull";
    public static OTP_SENT = "OTP Sent to ";
    public static OTP_VERIFIED = "OTP is verified Successfully.";
    public static OTP_NOT_VERIFIED = "OTP is not verified, OTP is incorrect.";
    public static PASSWORD_UPDATED = "Your Password has been updated successfully.";
    public static EMAIL_INCORRECT = "This Email is Incorrect";
    public static PASSWORD_NOT_UPDATED = "Password is not updated.";
    public static ACTION_TAKEN = "Action has been taken on Reported User.";
    public static DATING_PAGE_MEDIA_NOT_ALLOWED_MORE = "No More than 6 Images are allowed";
    public static DATE_PAGE_VIEW_COUNT_EXCEED = "Profile Daily view limit exceeded";

    //posts
    public static COMMENT_NOT_ADDED = "Could Not add a Comment.";
    public static POST_CREATE_FAILED = "Post Creation Failed!";
    // user
    public static USER_BLOCKED = "You are blocked, Please Contact Customer Support";
    public static DOCUMENTS_NOT_VERIFIED = "Documents are not verified";
    public static PASSWORD_MISSING = "Password is Missing.";
    public static EMAIL_USERNAME_NOT_FOUND = "Email or Username is Missing.";
    public static EMAIL_NOT_VERIFIED = "Email is Not Verified.";
    public static EMAIL_UNIQUE = "Profile With this email already exists";
    public static USERNAME_UNIQUE = "Profile With this username already exists";
    public static PHONE_UNIQUE = "Profile With this phone number already exists";
    public static RESET_PASSWORD = "Reset Password datesafe Account.";
    public static INVALID_VALIDATE_TYPE = "Validate Type is Invalid";
    public static REACT_TO_OWN_PROFILE = "Sorry! You can't react to your profile";

    //Story
    public static STORY_CREATED = "Your story created.";
    public static STORY_CREATE_FAILED = "Your Story wasn't created.";
    public static NO_STORIES_FOUND = "No Stories Found!";
    public static STORY_FOUND = "Stories Found!";
    public static STORY_DELETED = "Story Deleted!";

    //Reactions
    public static REACTION_SUCCESS = "Reaction Added Successfully.";
    public static REACTION_REMOVE_SUCCESS = "Reaction Removed Successfully.";
    public static REACTION_FAIL = "Could not add Reaction.";
    public static REACTION_REMOVE_FAIL = "Could not remove Reaction.";
    //StoryViews
    public static STORY_VIEW_SYNCED = "Story View Synced";
    public static STORY_VIEW_NOTFOUND = "Story Views not found or deleted!";
    //follow
    public static FOLLOW_REQUEST_SENT = "Follow Request Sent.";
    public static FOLLOW_REQUEST_ACCEPTED = "Follow request Accepted.";
    public static UNFOLLOW_USER = "User Unfollow.";
    public static FOLLOW_REQUEST_DELETED = "Follow Request Deleted."
    public static FOLLOW_REQUEST_NOT_SENT = "Follow Request not Sent.";
    public static FOLLOW_REQUEST_REJECTED = "Follow Request has been rejected.";
    //choice
    public static CHOICE_NOT_MATCH_WITH_QUESTIONID = "Choice is not matching with Question.";
    // date status
    public static UPATE_DATE_STATUS = "Dating Status Updated.";
    //document verificaiton
    public static DOCUMENT_VERIFIED = "Document Verified Successfully";
    public static DOCUMENT_VERIFICATION_INIT = "Document Verification Initiated";
    public static DOCUMENT_VERIFICATION_PASSED = "Document Verification Passed";
    public static DOCUMENT_ERROR = "Documents Not Verified, Try Again";
    public static DOCUMENT_FAILED = "Documents verification failed";
    public static VIDEO_VERIFICATION_FAILED = "Video verification failed";
    public static VIDEO_VERIFICATION_PASSED = "Video verification Passed";
    public static FACE_UNIDENTICAL = "Face is not identical";
    //PaymentGateway
    public static CARD_CREATED = "Card details added Successfully";
    public static CARD_DELETED = "Card details deleted Successfully";
    public static CARD_CREATE_ERROR = "Card not created";
    public static CARD_DELETE_ERROR = "Card deletion error";
    public static CARD_DUBPLICATE_ERROR = "Card already exists";
    public static CARDS_NOT_FOUND = "Cards not found";
    public static TXN_ERROR = "Transection error";

    //plan purchase
    public static PLAN_PURCHASE_SUCCESS = "Plan purchased successfully";
    public static PLAN_PURCHASE_FAILED = "Plan purchase failed";

    //User Block
    public static USER_BLOCK_FAILED = "Could not block user";
}
