import express from 'express';
import { tokenValidation } from '../../middlewares/validateToken';
import BlockUserController from './blockUser.controller';
import BlockUserValidator from './blockUser.validator';
const router = express.Router();

router.post('/blockUser', tokenValidation, BlockUserValidator.addOrDeleteBlockUserValidator, BlockUserController.addBlockUser);
router.get('/blockUser', tokenValidation, BlockUserController.getBlockUser);
router.delete('/blockUser', tokenValidation, BlockUserValidator.addOrDeleteBlockUserValidator, BlockUserController.unblockUser);

export default router;