import express from 'express';
import { tokenValidation } from '../../middlewares/validateToken';
import ChoicesController from './choices.controller';
import ChoicesValidator from './choices.validator';

const router = express.Router();
// POST: choices  -  to add new choices
router.post('/choices', tokenValidation, ChoicesValidator.addChoicesPayloadValidator, ChoicesController.addNewChoices);

// GET: choices  -  to get choices
router.get('/choices', tokenValidation, ChoicesController.getChoicesList);

// GET: choicesByQuesCategory  -  to get choices By Question Category
router.get('/choicesByQuesCategory', tokenValidation, ChoicesValidator.getChoicesQueryValidatior, ChoicesController.getChoicesListByQuesCategoryId);

export default router;