import express from 'express';
import { tokenValidation } from '../../middlewares/validateToken';
import DatePageActionController from './datePageAction.controller';
import DatePageActionValidator from './datePageAction.validator';

const router = express.Router();
router.post('/datePageAction', tokenValidation, DatePageActionValidator.addDatingActionValidator, DatePageActionController.addNewAction);
router.get('/datePageAction', tokenValidation, DatePageActionController.getDatePageLikes);
router.delete('/datePageAction', tokenValidation, DatePageActionValidator.deleteDatingActionValidator, DatePageActionController.deleteAction);

export default router;