import db from "../../../models";
const DistanceMatch = db.DistanceMatch;

const createDistanceMatch = async (data: any) => {
    try {
        return await DistanceMatch.create(data);
    } catch (err: any) {
        throw err
    }
};

const createOrUpdateDistanceMatch = async (data: any) => {
    try {
        const distaceData = await getDistanceMatchByUserId(data.userId);
        if (distaceData) {
            return updateDistanceMatchByUserId(data, data.userId);
        } else {
            return createDistanceMatch(data);
        }
    } catch (err: any) {
        throw err
    }
};

const getDistanceMatchByUserId = async (userId: number) => {
    try {
        return await DistanceMatch.findOne({
            where: {
                userId: userId
            },
            raw: true
        });
    } catch (err: any) {
        throw err
    }
};

const updateDistanceMatchByUserId = async (data: any, userId: number) => {
    try {
        return await DistanceMatch.update(data, {
            where: {
                userId: userId
            }
        });
    } catch (err: any) {
        throw err
    }
};

export default {
    createDistanceMatch,
    getDistanceMatchByUserId,
    updateDistanceMatchByUserId,
    createOrUpdateDistanceMatch
};