import express from 'express';
const timeout = require('connect-timeout');
import { tokenValidation } from '../../middlewares/validateToken';
import documentVerificationController from './documentVerification.controller';
import documentVerificationValidator from './documentVerification.validator';

const router = express.Router();
router.post('/documentVerification', timeout('3m'), tokenValidation, documentVerificationValidator.verifyDocValidator, documentVerificationController.verifyDocument);
router.post('/videoVerification', timeout('3m'), tokenValidation, documentVerificationValidator.verifyVideoValidator, documentVerificationController.verifyVideo);
router.post('/documentVerification1', documentVerificationController.verifyDocument1);
router.get('/documentVerification/token', tokenValidation, documentVerificationController.getToken);
router.get('/documentVerification/status', tokenValidation, documentVerificationController.getStatus);
router.get('/documentVerification/data', tokenValidation, documentVerificationController.getData);
router.get('/documentVerification/files', tokenValidation, documentVerificationController.getFiles);
router.delete('/documentVerification/data', documentVerificationController.deleteData);
router.get('/documentVerificationResult', documentVerificationValidator.verificationCheckResultValidator, documentVerificationController.checkStatus);

export default router;