import express from 'express';
import { tokenValidation } from '../../middlewares/validateToken';
import AlertController from './alert.controller';
import AlertValidator from './alert.validator';

const router = express.Router();
// POST: choices  -  to add new choices
// ChoicesValidator.addChoicesPayloadValidator,
router.post('/emergencyContacts', tokenValidation, AlertValidator.addEmergencyContactValidator, AlertController.addEmegencyContacts);
router.get('/emergencyContacts', tokenValidation, AlertController.getEmergencyContacts);
router.post('/setOnDate', tokenValidation, AlertValidator.setOnDateValidator, AlertController.setIsOnDate);
router.post('/addTimeLogs', tokenValidation, AlertValidator.addTimeLogsValidator, AlertController.addTimeLog);
export default router;