import db from "../../../models";

const EmergencyContact = db.EmergencyContact;
const UserTimeLogs = db.UserTimeLogs;

const addEmergencyContactsWithUserId = async (data, userId) => {
    try {
        data = data.map((dt) => {
            dt.userId = userId
            return dt;
        })
        return await EmergencyContact.bulkCreate(data);
    } catch (error) {
        throw error;
    }
};

const editAlertSystem = async (data, contactId) => {
    try {
        return await EmergencyContact.update(data, {
            id: contactId
        });
    } catch (error) {
        throw error;
    }
};

const getEmergencyContacts = async (userId) => {
    try {
        return await EmergencyContact.findAll({
            where: {
                userId: userId
            },
            order: [["name", "ASC"]],
            raw: true
        });
    } catch (error) {
        throw error;
    }
};

const addTimeLongs = async (data) => {
    try {
        return UserTimeLogs.create(data);
    } catch (error) {
        throw error;
    }
};

const removeTimeLogsByUserId = async (userId: string) => {
    try {
        return UserTimeLogs.destroy({
            where: {
                userId: userId
            }
        });
    } catch (error) {
        throw error;
    }
};

const removeEmergencyContacts = async (userId: string) => {
    try {
        let contacts = await EmergencyContact.destroy({
            where: {
                userId: userId
            }
        });
        return contacts;
    } catch (error) {
        throw error;
    }
};

export default {
    addEmergencyContactsWithUserId,
    editAlertSystem,
    getEmergencyContacts,
    addTimeLongs,
    removeTimeLogsByUserId,
    removeEmergencyContacts
}