import db from "../../../models";
import FollowingFollowerService from "../followingFollower/followingFollower.service";
import { Sequelize } from "sequelize";
import { FolderNames } from "../../../utills/enums";

const Location = db.Location;
const getNearByFriends = async (authUserId, limit, offset) => {
    try {
        let authUserLocation = await Location.findOne({
            where: {
                UserId: authUserId
            },
            attributes: [
                'latitude',
                'longitude',
                'id',
                [Sequelize.col('User.profileThumbnail'), 'profileThumbnail'],
                [Sequelize.col('User.id'), 'id'],
                [Sequelize.col('User.userName'), 'userName'],
            ],
            include: [
                {
                    model: db.User,
                    attributes: [],
                }
            ],
            raw: true
        });
        if (authUserLocation) {
            authUserLocation.profileThumbnail = authUserLocation.profileThumbnail ? '/static/users/' + authUserId + '/' + FolderNames.PROFILE_PICTURE + '/' + authUserLocation.profileThumbnail : "";
        }
        let followings = await FollowingFollowerService.getUserFollowingLatLongs(authUserId, limit, offset);
        return {
            user: authUserLocation,
            followings: followings
        };
    } catch (err: any) {
        throw err;
    }
};

export default {
    getNearByFriends
};