import express from 'express';
import { tokenValidation } from '../../middlewares/validateToken';
import followingFollowerController from './followingFollower.controller';
import followingFollowerValidator from './followingFollower.validator';
const router = express.Router();
router.post('/follow', tokenValidation, followingFollowerValidator.followUnfollowUserPayload, followingFollowerController.followUser);
router.get('/following/:id', tokenValidation, followingFollowerController.getUserFollowings);
router.get('/following', tokenValidation, followingFollowerValidator.getFollowersFollowings, followingFollowerController.getUserFollowings);
router.get('/follower/:id', tokenValidation, followingFollowerController.getUserFollowers);
router.get('/follower', tokenValidation, followingFollowerValidator.getFollowersFollowings, followingFollowerController.getUserFollowers);
router.delete('/follow', tokenValidation, followingFollowerValidator.followUnfollowUserPayload, followingFollowerController.deleteUserFollowRequest);
router.put('/follow', tokenValidation, followingFollowerValidator.acceptFollowRequest, followingFollowerController.acceptFollowRequest);
router.post('/unfollow', tokenValidation, followingFollowerValidator.followUnfollowUserPayload, followingFollowerController.UnFollowUser);
router.delete('/reject', tokenValidation, followingFollowerValidator.rejectOrDeleteUser, followingFollowerController.rejectUserFollowRequest);
router.get('/followRequests', tokenValidation, followingFollowerController.followRequestList);
export default router;