import express from "express";
import loginSignup from './loginSignup/loginSignup.routes';
import forgotResetPassword from './forgotResetPassword/forgotResetPassword.routes';
import users from './users/users.routes';
import follow from './followingFollower/followingFollower.routes';
import plan from './subscriptionPlans/subscriptionPlan.routes';
import subscribedUser from './subscribedUser/subscribedUser.routes';
import userPreferences from './userPreferences/userPreferences.routes';
import userCharateristics from './userCharacteristic/userCharacteristic.routes';
import story from './story/story.routes';
import storyViews from './storyViews/storyViews.routes';
import posts from './posts/posts.routes';
import reactions from './reaction/reaction.routes';
import datingPageMedia from "./datingPageMedia/datingPageMedia.routes";
import questionCategory from './questionCategory/questionCategory.routes';
import questions from './questions/questions.routes';
import choices from "./choices/choices.routes";
import notifications from "./notifications/notification.routes";
import userHearAboutUsFrom from "./userHearAboutUsFrom/userHearAboutUsFrom.routes";
import hearAboutUsFrom from "./hearAboutUsFrom/hearAboutUsFrom.routes";
import ReportedUsers from './reportedUsers/reportedUsers.routes';
import Location from './locations/location.routes';
import datePageAction from './datePageAction/datePageAction.routes';
import findFriends from "./findFriends/findFriends.routes";
import documentVerification from './documentVerification/documentVerification.routes';
import emergencyAlertSystem from './emergencyAlertSystem/alert.routes';
import storyPrivacy from './storyPrivacy/storyPrivacy.routes';
import blockUser from './blockUser/blockUser.routes';
import distanceMatch from './distanceMatch/distanceMatch.routes';
import paymentGateway from './paymentGateway/paymentGateway.routes';
import promptsCategory from './promptsCategory/promptsCategory.routes';
import promptsQuestions from './promptsQuestions/promptsQuestions.routes';
import userPrompts from './userPrompts/userPrompts.routes';
import signUpCheckList from './signUpCheckList/signUpCheckList.routes';
import otp from './otp/otp.routes';
import notificationSettings from './notificationSettings/notificationSettings.routes';
import ageRanges from './ageRanges/ageRanges.routes';
import userOnlineLogs from './userOnlineLogs/userOnlineLogs.routes';
import countryCodes from './countryCodes/countryCodes.routes';
import profileMatches from './profileMatches/profileMatches.routes';

const router = express.Router();
router.use(loginSignup);
router.use(forgotResetPassword);
router.use(users);
router.use(follow);
router.use(plan);
router.use(subscribedUser);
router.use(userPreferences);
router.use(userCharateristics);
router.use(story);
router.use(storyViews);
router.use(posts);
router.use(reactions);
router.use(datingPageMedia);
router.use(questionCategory);
router.use(questions);
router.use(choices);
router.use(notifications);
router.use(userHearAboutUsFrom);
router.use(hearAboutUsFrom);
router.use(Location);
router.use(findFriends);
router.use(ReportedUsers);
router.use(datePageAction);
router.use(findFriends);
router.use(documentVerification);
router.use(emergencyAlertSystem);
router.use(storyPrivacy);
router.use(blockUser);
router.use(distanceMatch);
router.use(paymentGateway);
router.use(promptsCategory);
router.use(promptsQuestions);
router.use(userPrompts);
router.use(signUpCheckList);
router.use(otp);
router.use(notificationSettings);
router.use(ageRanges);
router.use(userOnlineLogs);
router.use(countryCodes);
router.use(profileMatches);

export default router;