import express from 'express';
import locationController from './location.controller';
import locationValidator from './location.validator';
import { tokenValidation } from '../../middlewares/validateToken';
const router = express.Router();


router.post('/location', tokenValidation, locationValidator.addLocation, locationController.createLocation);
router.get('/location', tokenValidation, locationController.getLocationByUserId);
router.post('/locationPrivacy', tokenValidation, locationValidator.updateLocationPrivacy, locationController.updateLocationPrivacy);
router.delete('/location', tokenValidation, locationController.deleteLocationByUserId);

export default router;