import express from 'express';
import { tokenValidation } from '../../middlewares/validateToken';
import loginSignupController from './loginSignup.controller';
import loginSignupValidator from './loginSignup.validator';


const router = express.Router();

router.post('/login', loginSignupValidator.loginValidator, loginSignupController.userLogin);
router.post('/logout', tokenValidation, loginSignupController.userLogOut);
router.post('/register', loginSignupController.createUser);
router.post('/validateRegistrationOTP', loginSignupValidator.validateRegistrationOTP, loginSignupController.validateOTP);
router.put('/resendOTP', loginSignupValidator.resendOTP, loginSignupController.resendOTP);
router.post('/validateEmailUserNamePhone', loginSignupValidator.validateEmailUserNamePhoneValidator, loginSignupController.validateEmailUsernamePhone);
export default router;
