import db from "../../../models";
const NotificationSettings = db.NotificationSettings;

const getNotificationSettingsByUserIdNotificationType = async (userId: any, notificationType: string) => {
    try {
        return await NotificationSettings.findOne({
            where: {
                userId: userId,
                notificationType: notificationType
            },
            raw: true
        });;
    } catch (err: any) {
        throw err;
    }
};

const updateNotificationSettingByCondition = async (userId: any, data: any) => {
    try {
        if (await NotificationSettings.findOne({
            where: {
                userId: String(userId),
                notificationType: data.notificationType
            },
            raw: true
        })) {
            return await NotificationSettings.update(data, {
                where: {
                    userId: String(userId),
                    notificationType: data.notificationType
                }
            });
        } else {
            data.userId = userId
            return await NotificationSettings.create(data);
        }

    } catch (err: any) {
        throw err
    }
};

export default {
    getNotificationSettingsByUserIdNotificationType,
    updateNotificationSettingByCondition
};