import express from 'express';
import { tokenValidation } from '../../middlewares/validateToken';
import PaymentGatewayController from './paymentGateway.controller';
import PaymentGatewayValidator from './paymentGateway.validator';
const router = express.Router();

router.post('/cards', tokenValidation, PaymentGatewayValidator.addCardValidator, PaymentGatewayController.addNewCard);
router.get('/cards', tokenValidation, PaymentGatewayController.getCards);
router.delete('/cards', tokenValidation, PaymentGatewayValidator.deleteCardValidator, PaymentGatewayController.deleteCards);

export default router;