import db from "../../../models";
const PaymentGatewayLogs = db.PaymentGatewayLogs;

const createLogs = async (data: any) => {
    try {
        return await PaymentGatewayLogs.create(data);
    } catch (err: any) {
        throw err;
    }
};

const getLogsByUserId = async (userId: string) => {
    try {
        return await PaymentGatewayLogs.findAll({
            where: {
                userId: userId
            },
            raw: true
        });
    } catch (err: any) {
        throw err;
    }
};

const getLogsByUserIdProfileIdPaymentId = async (userId: string, pgProfileId: string, pgPaymentProfileId: string) => {
    try {
        return await PaymentGatewayLogs.findOne({
            where: {
                userId: userId,
                pgProfileId: pgProfileId,
                pgPaymentProfileId: pgPaymentProfileId
            },
            raw: true
        });
    } catch (err: any) {
        throw err;
    }
};

const deletePaymentProfile = async (userId: string, pgProfileId: string, pgPaymentProfileId: string) => {
    try {
        return await PaymentGatewayLogs.destroy({
            where: {
                userId: userId,
                pgProfileId: pgProfileId,
                pgPaymentProfileId: pgPaymentProfileId
            }
        });
    } catch (err: any) {
        throw err;
    }
};

export default {
    createLogs,
    getLogsByUserId,
    getLogsByUserIdProfileIdPaymentId,
    deletePaymentProfile
};