import db from "../../../models";
import { CustomError } from "../../../utills/types";
import { CommonAnswers, FolderNames, FollowStatus, Questions, UserLastStatus } from "../../../utills/enums";
import { Sequelize } from "sequelize";
import { Constants } from "../../../utills/constants";
import moment from "moment";
import UserOnlineLogsService from "../userOnlineLogs/userOnlineLogs.service";
import DatingPageMediaService from "../datingPageMedia/datingPageMedia.service";
import UserCharacteristicService from "../userCharacteristic/userCharacteristic.service";
import LocationService from "../locations/location.service";
import { Utils } from "../../../utills/helperMethods";
import UserPromptsService from "../userPrompts/userPrompts.service";
import {Op} from 'sequelize';
const Follower = db.Follower;
const User = db.User;
const Location = db.Location;
const DatePageAction = db.DatePageAction;

const getUserMatches = async (id: string, limit: any, offset: any) => {
    try {
        if(limit) {
            limit = parseInt(limit);
        } else {
            limit = 50;
        }
        if(offset) {
            offset = parseInt(offset);
        } else {
            offset = 0;
        }

        const threeDaysAgoUnixTimestamp = moment().subtract(3, 'days').unix();
        let userLikes = await DatePageAction.findAll({
            where: {
                userId: id,
            },
            raw: true
        });
        let userLikesInLast3Days = userLikes.filter((like) => {
            return like.timestamp >= threeDaysAgoUnixTimestamp;
        });

        let likesToUser = await DatePageAction.findAll({
            where: {
                actionUserId: id
            },
            raw: true
        });
        let likesToUserInLast3Days = likesToUser.filter((like) => {
            return like.timestamp >= threeDaysAgoUnixTimestamp;
        });
        
        let resultSet = new Set();
        likesToUserInLast3Days.forEach((like) => {
            if(userLikes.find((action) => action.userId === like.actionUserId && action.actionUserId === like.userId )) {
                resultSet.add(like.userId);
            }
        });
        userLikesInLast3Days.forEach((like) => {
            if(likesToUser.find((action) => action.userId === like.actionUserId && action.actionUserId === like.userId )) {
                resultSet.add(like.actionUserId);
            }
        });
        
        let resultantUserIds = [...resultSet];
        return resultantUserIds;
    } catch (error: any) {
        return error;
    }
};

export default {
    getUserMatches,
}
