import db from "../../../models";
import sequelize from 'sequelize';
const PromptsQuestion = db.PromptsQuestion;
const addPromptsQuestion = async (data: any) => {
    try {
        return await PromptsQuestion.create(data);
    } catch (err: any) {
        throw err;
    }
};

const getPromptsQuestionByQuestionId = async (id: string) => {
    try {
        return await PromptsQuestion.findOne({
            where: {
                id: id
            }
        });
    } catch (err: any) {
        throw err;
    }
};

const getQuesionWithOutCond = async () => {
    try {
        return await PromptsQuestion.findAll({
            include: [
                {
                    model: db.PromptsCategory,
                    as: 'PromptsCategory',
                    attributes: ["name"]
                }
            ],
            attributes: [
                "id",
                "name",
                "promptsCategoryId",
                [sequelize.col('PromptsCategory.name'), 'promptsCategoryName'],
            ],
            raw: true
        });
    } catch (err: any) {
        throw err;
    }
};

const getQuesionByPromptsCategoryId = async (id: string) => {
    try {
        return await PromptsQuestion.findAll({
            where: {
                promptsCategoryId: id
            },
            include: [
                {
                    model: db.PromptsCategory,
                    as: 'PromptsCategory',
                    attributes: ["name"]
                }
            ],
            attributes: [
                "id",
                "name",
                "promptsCategoryId",
                [sequelize.col('PromptsCategory.name'), 'promptsCategoryName'],
            ],
            raw: true
        });
    } catch (err: any) {
        throw err;
    }
};

export default {
    addPromptsQuestion,
    getPromptsQuestionByQuestionId,
    getQuesionWithOutCond,
    getQuesionByPromptsCategoryId
}