import express from 'express';
import { tokenValidation } from '../../middlewares/validateToken';
import QuestionsController from './questions.controller';
import QuestionsValidator from './questions.validator';

const router = express.Router();
// POST: questions  -  to add new questions
router.post('/questions', tokenValidation, QuestionsValidator.addQuesCategoryPayloadValidator, QuestionsController.addNewQuestions);

// GET: questions  -  to get questions
router.get('/questions', tokenValidation, QuestionsController.getQuestionList);

// GET: questionsByQuesCategory  -  to get questions By Question Category
router.get('/questionsByQuesCategory', tokenValidation, QuestionsValidator.getChoicesQueryValidatior, QuestionsController.getQuestionListByQuesCategoryId);

export default router;