import db from "../../../models";
import sequelize from 'sequelize';
const Question = db.Question;
const addQuesion = async (data: any) => {
    try {
        return await Question.create(data);
    } catch (err: any) {
        throw err;
    }
};

const getQuestionByQuestionId = async (id: string) => {
    try {
        return await Question.findOne({
            where: {
                id: id
            }
        });
    } catch (err: any) {
        throw err;
    }
};

const getQuesionWithOutCond = async () => {
    try {
        return await Question.findAll({
            include: [
                {
                    model: db.QuestionCategory,
                    as: 'QuestionCategory',
                    attributes: ["name"]
                }
            ],
            attributes: [
                "id",
                "name",
                "quesCategoryId",
                [sequelize.col('QuestionCategory.name'), 'quesCategoryName'],
            ],
            raw: true
        });
    } catch (err: any) {
        throw err;
    }
};

const getQuesionByQuestionCategoryId = async (id: string) => {
    try {
        return await Question.findAll({
            where: {
                quesCategoryId: id
            },
            include: [
                {
                    model: db.QuestionCategory,
                    as: 'QuestionCategory',
                    attributes: ["name"]
                }
            ],
            attributes: [
                "id",
                "name",
                "quesCategoryId",
                [sequelize.col('QuestionCategory.name'), 'quesCategoryName'],
            ],
            raw: true
        });
    } catch (err: any) {
        throw err;
    }
};

export default {
    addQuesion,
    getQuestionByQuestionId,
    getQuesionWithOutCond,
    getQuesionByQuestionCategoryId
}