import express from 'express';
import { tokenValidation } from '../../middlewares/validateToken';
import ReportedUsersController from './reportedUsers.controller';
import ReportedUsersValidator from './reportedUsers.validator';
const router = express.Router();

router.post('/report', tokenValidation, ReportedUsersValidator.createReport, ReportedUsersController.addReport);
router.get('/report', tokenValidation, ReportedUsersValidator.getReportList, ReportedUsersController.getReportList);
router.get('/report/:id', tokenValidation, ReportedUsersController.getReportListByUsersId);
router.delete('/report/:id', tokenValidation, ReportedUsersController.deleteReportByUsersId);
router.put('/report/:id', tokenValidation, ReportedUsersController.takeAction);
router.get('/reported/:id', tokenValidation, ReportedUsersController.getUserReportDetail);
router.get('/reports/search', tokenValidation, ReportedUsersValidator.getSearchedReportList, ReportedUsersController.getSearchedReport);
export default router;