import db from "../../../models";
const SignUpCheckList = db.SignUpCheckList;

const addCheckList = async (userId: string) => {
    try {
        return await SignUpCheckList.create({ userId: userId });
    } catch (error: any) {
        return error;
    }
};

const getCheckListByUserId = async (userId: string) => {
    try {
        return await SignUpCheckList.findOne({
            where: {
                userId: userId
            },
            raw: true
        });
    } catch (error: any) {
        return error;
    }
};

const updateCheckListByUserId = async (userId: any, data: any) => {
    try {
        return await SignUpCheckList.update(data, {
            where: { userId: userId }
        });
    } catch (error: any) {
        return error;
    }
};

export default {
    addCheckList,
    getCheckListByUserId,
    updateCheckListByUserId
}
