import express from 'express';
import { tokenValidation } from '../../middlewares/validateToken';
import StoryController from './story.controller';
import storyValidator from './story.validator';
const router = express.Router();
// POST: stories  -  to add new stories
router.post('/stories', tokenValidation, storyValidator.addStoryPayloadValidate, StoryController.addNewStory);

// GET: storyByFollowing  -  to get list of stories for following users
router.get('/storyByFollowing', tokenValidation, storyValidator.getStoriesWithOffsetLimit, StoryController.getFollowingStories);

// GET: storyByUserId  -  to get list of stories for given userId
router.get('/stories', tokenValidation, storyValidator.storyByUserId, StoryController.getStoriesByUserId);

// DELETE: stories  -  to get list of stories
router.delete('/stories', tokenValidation, storyValidator.deleteStoryValidator, StoryController.deleteStories);
router.post('/stories/reactions', tokenValidation, StoryController.addStoryReaction);
router.delete('/stories/reactions', tokenValidation, StoryController.removeStoryReaction);

export default router;