import db from "../../../models";
const StoryPrivacy = db.StoryPrivacy;

const createStoryPrivacy = async (data: any) => {
    try {
        return await StoryPrivacy.bulkCreate(data);
    } catch (err: any) {
        throw err
    }
};

const deleteStoryPrivacyByUserId = async (userId: number) => {
    try {
        return await StoryPrivacy.destroy({
            where: {
                hideByUserId: userId
            }
        });
    } catch (err: any) {
        throw err
    }
};

const getStoryPrivacyByHideByUserId = async (userId: number) => {
    try {
        const userPrivacy = await StoryPrivacy.findAll({
            where: {
                hideByUserId: userId
            },
            raw: true
        });

        const resp = {};
        for (let privacy of userPrivacy) {
            if (resp['hideByUserId'] == privacy.hideByUserId) {
                resp["hiddenUsers"].push(privacy.hideForUserId)
            } else {
                resp['hideByUserId'] = privacy.hideByUserId;
                resp['hiddenUsers'] = [privacy.hideForUserId];
            }
        };

        return resp;
    } catch (err: any) {
        throw err
    }
};

const getStoryPrivacyByHideByAndHideForUserId = async (hideByUserId: number, hideForUserId: number) => {
    try {
        return await StoryPrivacy.findOne({
            where: {
                hideByUserId: hideByUserId,
                hideForUserId: hideForUserId
            },
            raw: true
        });;
    } catch (err: any) {
        throw err
    }
};

export default {
    createStoryPrivacy,
    deleteStoryPrivacyByUserId,
    getStoryPrivacyByHideByUserId,
    getStoryPrivacyByHideByAndHideForUserId
};