import express from 'express';
import { tokenValidation } from '../../middlewares/validateToken';
import storyViews from './storyViews.controller';
import storyViewsValidator from './storyViews.validator';


const router = express.Router();

// POST: storyViewsById - to add story views based on storyId
router.post('/storyViewsById', tokenValidation, storyViewsValidator.storyViewPostValidator, storyViews.addStoryViewsForStory);

router.get('/storyViewsById', tokenValidation, storyViewsValidator.storyViewGetValidator, storyViews.getStoryViews);

export default router;