import db from "../../../models";
const StoryViews = db.StoryViews;

const createStoryViews = async (data: any) => {
    try {
        return await StoryViews.create(data);
    } catch (err: any) {
        throw err
    }
};

const getStoryViewByUserIdAndStoryId = async (userId: string, storyId: string) => {
    try {
        return await StoryViews.findOne({
            where: {
                viewedByUserId: userId,
                StoryId: storyId
            }
        })
    } catch (err: any) {
        throw err
    }
};

const getStoryViewsByStoryId = async (storyId: string, limit = 20, offset = 0) => {
    try {
        return await StoryViews.findAll({
            where: {
                StoryId: storyId
            },
            attributes: [
                ["id", "storyViewId"],
                "viewedByUserId",
                "viewedByUserName",
                "viewedByFirstName",
                "viewedByLastName",
                "profileThumbnail",
                "viewTimeStamp",
                ["StoryId", "storyId"]
            ],
            offset: offset,
            limit: limit
        })
    } catch (err: any) {
        throw err
    }
};

const getStoryViewsByStoryIdUserId = async (storyId: string, userId: string) => {
    try {
        return await StoryViews.findAll({
            where: {
                viewedByUserId: userId,
                StoryId: storyId
            }
        })
    } catch (err: any) {
        throw err
    }
};

const deleteStoryViews = async (condition: any) => {
    try {
        return await StoryViews.destroy(condition);
    } catch (err: any) {
        throw err
    }
};

export default {
    createStoryViews,
    getStoryViewByUserIdAndStoryId,
    getStoryViewsByStoryId,
    getStoryViewsByStoryIdUserId,
    deleteStoryViews
};