import express from 'express';
import {tokenValidation} from '../../middlewares/validateToken';
import subscribedUserController from './subscribedUser.controller';

const router = express.Router();

router.get('/subscribedUser',  subscribedUserController.getSubscribedUserList);
router.get('/subscribedUser/:id', tokenValidation, subscribedUserController.getSubscribedUserById);
router.put('/subscribedUser/:id', tokenValidation, subscribedUserController.updateSubscribedUser);
router.delete('/subscribedUser/:id', tokenValidation, subscribedUserController.deleteSubscribedUser);
export default router;
