import express from 'express';
import { tokenValidation } from '../../middlewares/validateToken';
import subscriptionPlanController from './subscriptionPlan.controller';
import subscriptionPlanValidator from './subscriptionPlan.validator';
const router = express.Router();

router.post('/subscriptionPlan/purchase', tokenValidation, subscriptionPlanValidator.planPurchaseValidator, subscriptionPlanController.buySubscriptionPlan);
router.post('/subscriptionPlan', subscriptionPlanValidator.createUpdateSubscriptionPlan, subscriptionPlanController.createSubscriptionPlan);
router.get('/subscriptionPlan', subscriptionPlanValidator.getSubscriptionList, subscriptionPlanController.getSubscriptionPlan);
router.get('/subscriptionPlan/:id', subscriptionPlanController.getSubscriptionPlanById);
router.put('/subscriptionPlan/:id', subscriptionPlanValidator.createUpdateSubscriptionPlan, subscriptionPlanController.updateSubscriptionPlan);
router.delete('/subscriptionPlan/:id', subscriptionPlanController.deleteSubscriptionPlan);

export default router;