import db from "../../../models";
import { ISubscriptionPlan } from "../../../models/subcrpitionplan";
const subscriptionPlan = db.SubscriptionPlan;

const createSubscriptionPlan = async (data: ISubscriptionPlan) => {
    try {
        let plan = await subscriptionPlan.create(data);
        return plan;
    } catch (error) {
        return error;
    }
};

const getSubscriptionPlan = async (limit = 20, offset = 0) => {
    try {
        let subscriptions = await subscriptionPlan.findAll({
            offset: offset,
            limit: limit,
            raw: true
        });

        const count = await subscriptionPlan.count();
        return { subscriptions, count };
    } catch (error) {
        return error;
    }
};

const getSubscriptionPlanById = async (id) => {
    try {
        let allPlan = await subscriptionPlan.findByPk(id);
        return allPlan;
    } catch (error) {
        return error;
    }
};

const updateSubscriptionPlanById = async (id: string, data: any) => {
    try {
        let plan = await subscriptionPlan.update(data, {
            where: {
                id: id
            }
        });
        return plan;
    } catch (error) {
        return error;
    }
};

const deleteSubscriptionPlanById = async (id: string) => {
    try {
        let plan = await subscriptionPlan.destroy({
            where: { id: id }
        });
        return plan;
    } catch (error) {
        return error;
    }
};

export default {
    createSubscriptionPlan,
    getSubscriptionPlan,
    getSubscriptionPlanById,
    updateSubscriptionPlanById,
    deleteSubscriptionPlanById
}
