import express from 'express';
import { tokenValidation } from '../../middlewares/validateToken';
import UserCharacteristicController from './userCharacteristic.controller';
import UserCharacteristicValidator from './userCharacteristic.validator';

const router = express.Router();
// POST: userCharacteristics  -  to add new userCharacteristics
router.post('/userCharacteristics', tokenValidation, UserCharacteristicValidator.addCharacteristicsPayloadValidator, UserCharacteristicController.addNewCharacteristics);

// GET: userCharacteristics  -  to get userCharacteristics
router.get('/userCharacteristics', tokenValidation, UserCharacteristicController.getMyCharacteristics);

export default router;