import db from "../../../models";
import sequelize from "sequelize";
const UserHearAboutUsFrom = db.UserHearAboutUsFrom;

const addHearLocation = async (data: any) => {
    try {
        return await UserHearAboutUsFrom.create(data);
    } catch (err: any) {
        throw err;
    }
};

const getHearLocationByUserId = async (userId: any) => {
    try {
        const condition = {
            where: {
                userId: String(userId)
            },
            include: [
                {
                    model: db.HearAboutUsFrom,
                    as: "HearAboutUsFrom",
                    attributes: [
                        "sourceName"
                    ]
                }
            ],
            attributes: [
                ["id", "userHearAboutUsFromId"],
                "userId",
                "hearAboutUsFromId",
                [sequelize.col('HearAboutUsFrom.sourceName'), 'hearAboutUsFromName']
            ],
            raw: true
        };
        return await UserHearAboutUsFrom.findOne(condition);
    } catch (err: any) {
        throw err;
    }
};

export default {
    addHearLocation,
    getHearLocationByUserId
};