import moment from "moment";
import db from "../../../models";
const UserOnlineLogs = db.UserOnlineLogs;

const getOnlineLogByUserId = async (userId: any) => {
    try {
        return await UserOnlineLogs.findOne({
            where: {
                userId: String(userId)
            },
            order: [["id", "DESC"]],
            raw: true
        });;
    } catch (err: any) {
        throw err;
    }
};

const addOnlineLogsByUserId = async (userId: any) => {
    try {
        const lastLog = await getOnlineLogByUserId(userId);

        if ((!lastLog) || (lastLog && lastLog.offTimestamp !== 0)) {
            return await UserOnlineLogs.create({
                userId: userId,
                onTimestamp: moment().unix(),
                offTimestamp: 0
            })
        } else if (lastLog && lastLog.offTimestamp == 0) {
            return await UserOnlineLogs.update({ offTimestamp: moment().unix() }, {
                where: {
                    id: lastLog.id,
                    userId: userId
                }
            })
        }
    } catch (err: any) {
        throw err;
    }
};


export default {
    getOnlineLogByUserId,
    addOnlineLogsByUserId
};