import express from 'express';
import { tokenValidation } from '../../middlewares/validateToken';
import UserPreferenceController from './userPreferences.controller';
import UserPreferencesValidator from './userPreferences.validator';

const router = express.Router();
// POST: userPreferences  -  to add new userPreferences
router.post('/userPreferences', tokenValidation, UserPreferencesValidator.addPreferencePayloadValidator, UserPreferenceController.addNewPreference);

// GET: userPreferences  -  to get userPreferences
router.get('/userPreferences', tokenValidation, UserPreferenceController.getMyPreferences);

// GET: preferencedUsers  -  to get List of users who matched with your preferences
router.get('/preferencedUsers', tokenValidation, UserPreferenceController.getPreferencedUsers);

export default router;
