import db from "../../../models";
import sequelize from "sequelize";
const UserPrompts = db.UserPrompts;

interface promptsArray {
    userId: number,
    promptsQuestionId: number,
    answer: string
}

const addUserPrompts = async (data: any) => {
    try {
        return await UserPrompts.create(data);
    } catch (err: any) {
        throw err;
    }
};

const addMultiplePromptsAtOnce = async (data: Array<promptsArray>) => {
    try {
        return await UserPrompts.bulkCreate(data);
    } catch (err: any) {
        throw err;
    }
};

const getUserPromptsByUserId = async (userId: any) => {
    try {
        const condition = {
            where: {
                userId: String(userId)
            },
            include: [
                {
                    model: db.PromptsQuestion,
                    as: "PromptsQuestion",
                    attributes: [],
                    include: {
                        model: db.PromptsCategory,
                        as: "PromptsCategory",
                        attributes: [],
                    }
                }
            ],
            attributes: [
                ["id", "userPromptsId"],
                "userId",
                "promptsQuestionId",
                [sequelize.col('PromptsQuestion.name'), 'promptsQuestion'],
                [sequelize.col('PromptsQuestion.promptsCategoryId'), 'promptsCategoryId'],
                [sequelize.col('PromptsQuestion.PromptsCategory.name'), 'promptsCategory'],
                "answer",
            ],
            raw: true
        };

        return await UserPrompts.findAll(condition);;
    } catch (err: any) {
        throw err;
    }
};

const getUserPromptsByUserIdInShort = async (userId: any) => {
    try {
        return await UserPrompts.findAll({
            where: {
                userId: String(userId)
            },
            raw: true
        });
    } catch (err: any) {
        throw err;
    }
};

const deleteUserPromptsByCondition = async (condition: any) => {
    try {
        return await UserPrompts.destroy({
            where: condition
        });
    } catch (err: any) {
        throw err
    }
};

export default {
    addUserPrompts,
    addMultiplePromptsAtOnce,
    getUserPromptsByUserId,
    getUserPromptsByUserIdInShort,
    deleteUserPromptsByCondition
};